/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

// ublock-filters

// Important!
// Isolate from global scope
(function uBOL_cssGenericImport() {

/******************************************************************************/

const genericSelectorMap = [[973668,".ez-sidebar-wall"],[7295477,".aff-content-col"],[10243358,".aff-inner-col"],[10402808,".aff-item-list"],[14318865,".inplayer-ad"],[9294113,".inplayer_banners"],[8108253,".in_stream_banner"],[8567284,".reklama:not(.ads)"],[230977,".trafficjunky-float-right"],[15224443,".happy-inside-player"],[16189421,".blocker-notice"],[5620010,".blocker-overlay"],[7268325,".exo-horizontal"],[4013867,".ave-pl"],[12526183,".bottom-hor-block"],[3260336,".brs-block"],[2117656,".advboxemb"],[10792863,".wgAdBlockMessage"],[10015626,".glx-watermark-container"],[11122927,"#sidearm-adblock-modal"],[14783258,".overlay-advertising-new"],[10847935,".header-menu-bottom-ads"],[10138756,".rkads"],[5518248,"#bt-ads"],[7865834,".mdp-deblocker-wrapper"],[9045620,".amp-ad-inner"],[5662694,"#placeAds"],[4317978,".samBannerUnit"],[4830699,".samCodeUnit"],[13483022,".bloc-pub"],[2895776,".bloc-pub2"],[5410475,"#invideo_data"],[575372,"#invideo_2"],[11134231,".hor_banner"],[13519933,"#invid_call"],[12822821,"#invideo_new"],[2234398,".aan_fake"],[6926737,".aan_fake__video-units"],[283406,".rps_player_ads"],[4534627,".preroll-blocker"],[1320254,"#dontfoid"],[11024341,"#advert-header:not(:empty)"],[8598616,"#adSpecial:not(:empty)"],[14320294,"#adzerk:not(:empty)"],[13377986,"#buy-sell-ads:not(:empty)"],[13184601,"#leader_ad:not(:empty)"],[13075236,"#midadd:not(:empty)"],[8825739,"#go-to-top + div[id][class*=\" \"]"],[9737322,"#st-ami + div[id][class*=\" \"]"],[4159490,".close-btn[onclick=\"closeAd()\"]"],[14552993,".close-btn3[onclick=\"closeAd3()\"]"],[7616567,".ark-ad-message"],[166323,".fints-block__row"],[5285957,"#playerOverlay[style=\"position:absolute; z-index:3\"]"],[15483573,".full-ave-pl"],[1148619,".full-bns-block"],[11332465,".vertbars"],[317803,".video-brs"],[14762135,"#plban"],[15024715,".player-bns-block"],[16319943,".wps-player__happy-inside"],[5539904,"div#spot-holder.spot-holder[style=\"display: block;\"]"],[9111492,".gallery-bns-bl"],[10693350,"#stop_ad"],[6129691,"#stop_ad2"],[2939730,".stream-item-widget"],[15555308,"#ad_300:not([style^=\"position: absolute; left: -5000px\"])"],[15551010,"#ad_728:not([style^=\"position: absolute; left: -5000px\"])"],[7873865,"#ad_area:not([style^=\"position: absolute; left: -5000px\"])"],[15503315,"#ad_big:not([style^=\"position: absolute; left: -5000px\"])"],[15503114,"#ad_box:not([style^=\"position: absolute; left: -5000px\"])"],[8461117,"#ad_footer:not([style^=\"position: absolute; left: -5000px\"])"],[7377754,"#ad_slot:not([style^=\"position: absolute; left: -5000px\"])"],[3902613,"#ad_space:not([style^=\"position: absolute; left: -5000px\"])"],[14435228,"#adframe:not(frameset):not([style^=\"position: absolute; left: -5000px\"])"],[2618161,"#adheader:not([style^=\"position: absolute; left: -5000px\"])"],[3600396,"#ads-1:not([style^=\"position: absolute; left: -5000px\"])"],[6337714,"#ads-banner:not([style^=\"position: absolute; left: -5000px\"])"],[6341847,"#ads-footer:not([style^=\"position: absolute; left: -5000px\"])"],[12064325,"#adspace:not([style^=\"position: absolute; left: -5000px\"])"],[1552623,"#adsquare:not([style^=\"position: absolute; left: -5000px\"])"],[3485551,"#banner468:not([style^=\"position: absolute; left: -5000px\"])"],[12807344,"#banner728x90:not([style^=\"position: absolute; left: -5000px\"])"],[16460458,".google-ad:not(.testAd)"],[12941665,".ad-link:not(.adsbox)"],[6677077,".ad_unit:not(.text-ad)"],[13071653,".ad-slot:not(.adsbox):not(.adsbygoogle)"],[14492405,".ad-300x250:not(.ads)"],[7644573,".adsbyrunactive"],[16284653,"#tabVideo > .rmedia"],[8013975,"#adContext:not(:empty)"],[15493916,"#ad_img:not(:empty)"],[9603894,"#downloadAd:not(:empty)"],[12949301,"#topBannerAd:not(:empty),\n#topbannerad:not(:empty)"],[9270146,"#weatherad:not(:empty)"],[10834050,".ad-placeholder:not(#filter_ads_by_classname):not(#detect_ad_empire):not(#detect):not(.adsbox)"],[14542717,".ad-content:not(:empty)"],[578336,".ads-iframe:not([style=\"position: absolute; left: -10px; top: -10px;\"])"],[1029999,"#micast_ads"],[6937134,".adde_modal_detector"],[12689313,".adde_modal-overlay"],[2755722,"#video-id_fluid_html_on_pause"],[15747109,".ninja-recommend-block"],[13582015,".ad-zone:not(.textads)"],[9622090,".ad-space:not(.textads):not(.adbox)"],[6122938,"iframe.lazyloaded[data-src^=\"https://rcm-fe.amazon-adsystem.com/\"]"],[7367400,".jwplayer ~ div[style=\"position:absolute;top:0;left:0;width: 100%;height: 100%;z-index:2147483647\"]"],[590827,".fp-player > div[style=\"position: absolute; inset: 0px; overflow: hidden; z-index: 160; background: transparent; display: block;\"]"],[14585493,"#anuncio"],[11051533,"#vidcloud-player > #overlay-container"],[8091222,"#player div[style$=\"cursor: pointer; position: absolute; width: 100%; height: 100%; padding: 1rem; z-index: 2147483647;\"]"],[7289478,"#video_player ~ div[id] div[style^=\"position:fixed;inset:0px;z-index:\"]"],[13635276,".fp-ui > a[href][target=\"_blank\"][style^=\"position: absolute; inset: 0px;\"]"],[3608844,"#adyes"],[5135696,"#donate > a[href][style][onclick=\"thank_you()\"][target=\"_blank\"][rel=\"nofollow\"]"],[3735798,".ads-btns"],[4322608,".infiniteads_placeholder"],[4141263,"html[lang][style^=\"--main-bg-color\"] > body:not([class]):not([id]) > div#container[style=\"visibility: visible;\"] > div#banner[style=\"opacity:0\"] ~ main:not([class]):not([id]) > div#message"],[5887869,".sharethis-inline-share-buttons.st-hidden"],[13999032,"#TapatalkFooterDesktopAds"],[11999716,"#adbd.overdiv"],[4282980,".kln > a[href^=\"https://www.polybuzz.ai/\"]"],[3269104,"a.poly-title[href^=\"https://www.polybuzz.ai/\"]"],[10742258,"a[href^=\"https://www.polybuzz.ai/\"] img.responsive-image"],[14762358,"#close-teaser"],[11226083,"#teaser3[style^=\"width: 100%;height:0;text-align: center;display: scroll;position:fixed;\"]"],[7056900,".gliaplayer-container"],[3584312,"#adbtm[onclick=\"badr();\"]"],[10134328,"#clickCatcher31,\n#clickCatcher32"],[16408158,".addthis_toolbox"]];
const genericExceptionSieve = [4186807,16741188,578398,7864455,7640945,529304,1548909,4270542,4270541,4540991,13582026,14293194,7812282,12001644,5056708,6725748,11423466,11424356,12993831,7892988,2016557,1433764,4218157,650141,8793641,6755449,6379167,4825255,12770237,11079507,242647,11813246,10563737,13564102,3718440,13815877,14585493,7168602,13572089,12973587,7507742,12543662,12119673,1548910,12821974,12977753,5258095,3382437,89460,798248,10083427,2149074,620859,48079,2259673,4354276,560922,15939998,6200301,16120117,9622090,13550865,15356559,16449670,13149890,8834124,7452874,2483773,12941665,15523660,4427675,7246234,15790762,6218675,4689615,4689612,11535675,14513241,11961219,15142491,14456202,12853325,5663364,4304868,116118,4879477,11101639,1906943,2722794,514048,8567284,6218332,12610195,10025090,7781448,3581407,10799077,8696094,4167651,16153475,13059252,7205220,4873109,243842,11167261,10862679,2725224,3074695,15085751,12399894,16460458,16240969,2276907,11586526,12499402,2210568,11374711,3078517,14023000,13071653,15503114,3902613,14435228,12064325,13280807,10074377,13564629,7020432,11162905,580058,4272613,14542717,14559712,6666637,11686360,7260091,3477642,13711790,11498131,10806862,5203624,7954401,8433452,7184539,8701575,4116060,9680378,3083996,13873549,13879651,8454759,16467573,2937449,1343794,8768785,706132,3161943,16463313,11782273,2074658,10909116,565055];
const genericExceptionMap = [["japscan.lol","div.container > [href]"],["veev.to",".avb-active"],["oogiri-chaya.com",".ads_insert"],["orange.fr","#o_carrepub"],["energy.de","#ad_home"],["reyada.com",".ads_area"],["hintergrundbild.org",".ads1"],["wallpaperaccess.com",".ads1"],["kotaku.com","#dfp-ad-2\n#dfp-ad-1"],["calgarysun.com",".adsizewrapper"],["canoe.com",".adsizewrapper"],["edmontonsun.com",".adsizewrapper"],["financialpost.com",".adsizewrapper"],["nationalpost.com",".adsizewrapper"],["ottawasun.com",".adsizewrapper"],["theprovince.com",".adsizewrapper"],["torontosun.com",".adsizewrapper"],["winnipegsun.com",".adsizewrapper"],["forbes.it",".ad-row"],["warszawawpigulce.pl",".code-block-5, .eklama, #undermenu-block, .code-block-6"],["go.com",".has-ad"],["riderplanet-usa.com","#ad_1"],["nypost.com",".recirc"],["pagesix.com",".recirc"],["kzstock.blogspot.com","#ad-target"],["calgaryherald.com",".local-branding"],["queerpride.de",".category-advertorial"],["japan-webike.*",".ad_box\n.ad_title"],["webike.*",".ad_box\n.ad_title"],["webike-china.cn",".ad_box\n.ad_title"],["motherless.com",".media-linked"],["indoxx1.center",".lazy"],["pcgamer.com",".hawk-widget"],["washingtonpost.com",".pb-md.pt-md"],["order-order.com",".tag-sponsored"],["getcoloringpages.com",".adsBlock"],["saltspringexchange.com",".single-ad"],["hubblespacetelescope.blogspot.com",".vertical-ads"],["eslint.org",".sponsor-link"],["hwupgrade.it",".wrapper-xyz"],["brewerfanatic.com",".adthrive\n.adthrive-video-player"],["fishonfirst.com",".adthrive\n.adthrive-video-player"],["northsidebaseball.com",".adthrive\n.adthrive-video-player"],["twinsdaily.com",".adthrive\n.adthrive-video-player"],["mediaite.com",".adthrive-video-player"],["player.tubia.com",".companion-ads"],["druckerchannel.de","#DCGA_CONTAINER"],["formulapassion.it","#qc-cmp2-main\n.qc-cmp2-main"],["xunta.gal","#anuncio"],["chavesnamao.com.br","#anuncio"],["dip-badajoz.es","#anuncio"],["gumtree.com.au",".header--is-new-sticky-behaviour\n.ad-cnt"],["sports.yahoo.com",".H\\(400px\\) > .VideoPlayer\n.H\\(400px\\).Pos\\(r\\)"],["shiropro-re.net","#ad_link"],["united.no",".page-ads"],["si.com",".is-below-header-ad"],["tamin.ir",".ads2"],["thequint.com","._4xQrn"],["dpp.org.tw",".ad_url"],["nybooks.com",".top-ad-wrapper"],["filecrypt.co","form > .protection.online ul > li:not(.buttons):has(> div:not(.circle_captcha))"],["lemonde.fr",".gdpr-lmd-wall"],["wnynewsnow.com",".ez-video-wrap"],["rpgbot.net",".ez-video-wrap"],["app.kultivi.com",".cnx-player-wrapper"],["hollywoodreporter.com",".cnx-player-wrapper"],["huffpost.com",".cnx-player-wrapper"],["sacbee.com",".cnx-player-wrapper"],["sport-fm.gr",".cnx-player-wrapper"],["sport24.gr",".cnx-player-wrapper"],["tvline.com",".cnx-player-wrapper"],["w3schools.com",".cnx-player-wrapper"],["deadline.com",".cnx-player-wrapper"],["hornoxe.com","div.post:has(a[href^=\"https://www.amazon.de/\"])"],["doodle.com",".AdsSlot\n.AdsLayout"],["ewrc-models.com",".cardAd"],["ewrc-results.com",".cardAd"],["delta.com",".adv-container"],["vindobona.org",".ads_footer"],["mytempsms.com","#container-ad"],["ewybory.eu",".advertisment"],["instapundit.com",".postad\n.ad-space:not(.textads)"],["meijer.com",".product-grid__product:has(.product-tile__sponsored)"],["msn.com",".intra-article-module"],["helpster.de","#ad_sidebar_left_container"],["vuejs.org","#special-sponsor"],["fapeza.com",".azz_div"],["saveinsta.cam",".aplvideo"],["spotifydown.com",".semi-transparent"],["outletarredamento.it",".ad-link:not(.adsbox)"],["spartanien.de",".firstload"],["pgportal.gov.in",".ad_image"],["scan-manga.com","#carouselTOPContainer"],["bild.de","#fullBanner\n#powerplace\n#subchannelBanner1_1\n#subchannelBanner2_2\n.cbErotikContentbar15\n.contentbar\n.eyecatcher\n.footerbar\n.jetzt_aufnehmen\n.servicelinks\n.tea-rectangle\n.txe\n.yield\n.rectangle\n.fullbanner"],["sankakucomplex.com",".scad"],["bestgames.com","#adsContainer"],["yiv.com","#adsContainer"],["empflix.com","#hideAd"],["offmoto.com",".reklama:not(.ads)"],["freeopenvpn.org","#advert_top"],["spiegel.de",".asset-affiliatebox\n.nativead\n.nativead + .headline-date"],["hdblog.it",".item_compra\n.box_flame\n.box_grampa_shadow"],["speedtest.net",".pure-u-custom-ad-skyscraper"],["igg-games.com",".uk-panel.widget-text"],["mcoc-guide.com","ins.adsbygoogle[data-ad-client]"],["safe.elektroupdate.com","ins.adsbygoogle[data-ad-client]"],["tamrieltradecentre.com","ins.adsbygoogle[data-ad-client]"],["play.aidungeon.io","ins.adsbygoogle[data-ad-client]"],["hilites.today","ins.adsbygoogle[data-ad-client]"],["karvitt.com","ins.adsbygoogle[data-ad-client]"],["maps4heroes.com","ins.adsbygoogle[data-ad-client]"],["estudyme.com","ins.adsbygoogle[data-ad-client]"],["fplstatistics.co.uk","ins.adsbygoogle[data-ad-client]"],["dexterclearance.com","ins.adsbygoogle[data-ad-client]"],["onlineatlas.us","ins.adsbygoogle[data-ad-client]"],["search.crowdsearch.net","#adslot1"],["iwin.com","#sponsorText"],["readmng.com",".scroll_target_top"],["fuqer.com",".spot-thumbs > .right"],["jameeltips.us",".banner-728x90"],["bestcash2020.com",".banner-728x90\n.banner-468x60"],["gainl.ink","#adclose"],["adcrypto.net",".adb-top"],["admediaflex.com",".adb-top"],["aduzz.com",".adb-top"],["bitcrypto.info",".adb-top"],["cdrab.com",".adb-top"],["datacheap.io",".adb-top"],["hbz.us",".adb-top"],["savego.org",".adb-top"],["owsafe.com",".adb-top"],["sportweb.info",".adb-top"],["bitzite.com",".banner-ad"],["cinedesi.in",".quads-location"],["thevouz.in",".quads-location"],["tejtime24.com",".quads-location"],["techishant.in",".quads-location"],["aman-dn.blogspot.com",".ads-ad"],["adblockstreamtape.*",".google-ad"],["adblockstrtape.*",".google-ad"],["adblockstrtech.*",".google-ad"],["antiadtape.*",".google-ad"],["stape.*",".google-ad"],["strcloud.*",".google-ad"],["streamtape.*",".google-ad"],["streamta.*",".google-ad"],["strtape.*",".google-ad"],["strtpe.*",".google-ad"],["strtapeadblock.*",".google-ad"],["advertisertape.com",".skyscraper.ad"],["tapeadsenjoyer.com",".skyscraper.ad"],["tapeadvertisement.com",".skyscraper.ad"],["tapeantiads.com",".skyscraper.ad"],["tapelovesads.org",".skyscraper.ad"],["tapenoads.com",".skyscraper.ad"],["watchadsontape.com",".skyscraper.ad"],["addictinggames.com",".ad_container\n.add-bx"],["comidoc.net",".googlead"],["dudestream.com",".adsBanner"],["winaero.com",".entry-content > div > div"],["porntn.com",".banner_ad"],["ads.snapchat.com",".banner_ad"],["neos-easygames.com","#ad_block"],["synk-casualgames.com","#ad_block"],["meetdownload.com",".ad-slot:not(.adsbox):not(.adsbygoogle)"],["waploaded.com",".ad-slot:not(.adsbox):not(.adsbygoogle)"],["plutomovies.com",".ad-slot:not(.adsbox):not(.adsbygoogle)"],["zunda.site","#ad_box:not([style^=\"position: absolute; left: -5000px\"])"],["musmus.main.jp","#ad_space:not([style^=\"position: absolute; left: -5000px\"])"],["streetinsider.com","#ad_space:not([style^=\"position: absolute; left: -5000px\"])"],["freehostbox.net","#adframe:not(frameset):not([style^=\"position: absolute; left: -5000px\"])"],["hatenablog.com","#adframe:not(frameset):not([style^=\"position: absolute; left: -5000px\"])"],["puzzle-ch.com","#adframe:not(frameset):not([style^=\"position: absolute; left: -5000px\"])"],["freepdfcomic.com","#adframe:not(frameset):not([style^=\"position: absolute; left: -5000px\"])"],["ma-bank.net","#adspace:not([style^=\"position: absolute; left: -5000px\"])"],["rxlife.net","#adspace:not([style^=\"position: absolute; left: -5000px\"])"],["video.tv-tokyo.co.jp","#adspace:not([style^=\"position: absolute; left: -5000px\"])"],["mmiyue.com",".google-ad:not(.testAd)"],["lamire.jp",".ad-unit:not(.text-ad):not(.textads):not([style^=\"width: 1px; height: 1px; position: absolute;\"])"],["h-flash.com",".google-ads"],["rakuten.com",".google-ads"],["surfline.com",".ad-box:not(#ad-banner):not(:empty)"],["galaxyfirmware.*",".textad"],["jav68.net",".ads-header"],["kentonline.co.uk",".mpu"],["backcar.fr",".ad-content:not(:empty)"],["flat-ads.com",".ad-content:not(:empty)"],["job.inshokuten.com",".ad-content:not(:empty)"],["kontol.in",".ad-content:not(:empty)"],["tumblr.com",".Yc2Sp\n.Qrht9"],["viefaucet.com",".ad-description"],["kunststoffe.de",".adBox"],["windowspro.de","#block-views-sponsoredpromo-block"],["zeperfs.com",".showAd"],["sportnews.to",".ads-by-google"],["seznam.cz",".adMiddle"],["javgg.co","#AD_160"],["javgg.net","#AD_160"],["nieru.net",".ad-space:not(.textads):not(.adbox)"],["money.pl","#app > div[class^=\"sc-\"] > div[class]:not([class*=\" \"]):has(:scope > div[class*=\" \"]:only-child > img[src^=\"https://v.wpimg.pl/\"][src$=\"==\"][alt])"],["abczdrowie.pl",".article__textbox"],["pogoda.wp.pl",".desktop > div[class*=\" \"]:has(div)"],["winscreener.live",".ad-block"],["reshare.pm",".showads"],["phineypet.com","#adsiframe"],["tobys.dk",".abMessage"],["history.com",".m-header-ad\n.m-in-content-ad-row"],["crictracker.com",".ads-box"],["apkmirror.com",".gooWidget\n.google-ad-leaderboard"],["bing.com",".b_ad\n.b_adLastChild\n.pa_sb"],["pesmodding.com",".button-ad"],["ripleyfieldworktracker.com",".googleAds"],["decrypt.day","div[class*=\"content\"] center.w-full"],["uploadmall.com",".AdSense\n.advblock"],["app.involve.asia",".ads-banner"]];

if ( genericSelectorMap ) {
    const map = self.genericSelectorMap =
        self.genericSelectorMap || new Map();
    if ( map.size !== 0 ) {
        for ( const entry of genericSelectorMap ) {
            const before = map.get(entry[0]);
            if ( before === undefined ) {
                map.set(entry[0], entry[1]);
            } else {
                map.set(entry[0], `${before},\n${entry[1]}`);
            }
        }
    } else {
        self.genericSelectorMap = new Map(genericSelectorMap);
    }
    genericSelectorMap.length = 0;
}

if ( genericExceptionSieve ) {
    const hashes = self.genericExceptionSieve =
        self.genericExceptionSieve || new Set();
    if ( hashes.size !== 0 ) {
        for ( const hash of genericExceptionSieve ) {
            hashes.add(hash);
        }
    } else {
        self.genericExceptionSieve = new Set(genericExceptionSieve);
    }
    genericExceptionSieve.length = 0;
}

if ( genericExceptionMap ) {
    const map = self.genericExceptionMap =
        self.genericExceptionMap || new Map();
    if ( map.size !== 0 ) {
        for ( const entry of genericExceptionMap ) {
            const before = map.get(entry[0]);
            if ( before === undefined ) {
                map.set(entry[0], entry[1]);
            } else {
                map.set(entry[0], `${before}\n${entry[1]}`);
            }
        }
    } else {
        self.genericExceptionMap = new Map(genericExceptionMap);
    }
    genericExceptionMap.length = 0;
}

/******************************************************************************/

})();

/******************************************************************************/
