/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

// ruleset: ukr-0

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = ["",["{\"selector\":\"head > iframe[name]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body > iframe\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body > iframe:not([class]):not([id]):not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body iframe[name]:not([class]):not([id]):not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"head > iframe[name]:not([class]):not([id]):not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#post-entry > div.blok_header_title\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"СМИ Украины:\"]]}]]}","{\"selector\":\".blok_header_title\",\"tasks\":[[\"has\",{\"selector\":\"> h4\",\"tasks\":[[\"has-text\",\"Интересное в сети\"]]}]]}","{\"selector\":\"div.blok_header_title\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"/^СМИ Украины:$/\"]]}]]}"],["{\"selector\":\"article > div.block_post .banner__text\",\"tasks\":[[\"has-text\",\"Реклама\"]]}"],["{\"selector\":\".publication > div.title-without-border\",\"tasks\":[[\"has-text\",\"Новини партнерів\"]]}"],["{\"selector\":\".message-date-group > div.Message\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has\",{\"selector\":\".text-content\",\"tasks\":[[\"has-text\",\"/#реклама/\"]]}]]}"],["{\"selector\":\"#dle-content > div.short\",\"tasks\":[[\"has\",{\"selector\":\"> div > h2\",\"tasks\":[[\"has-text\",\"распродажа\"]]}]]}"],["{\"selector\":\".lg-thumb-item:has(> img[src=\\\"/assets/img/adv-thumb.png\\\"])\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".publications-wrapper > div.row > div[class*=\\\"partner-block-\\\"]\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".publications-wrapper > div[class] > div.column:has(> div.news-card > div.news-box-wrapper > div[id^=\\\"div-gpt-ad-\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"a.fs-9\",\"tasks\":[[\"has-text\",\"/^Реклама$/\"],[\"upward\",1]]}"],["{\"selector\":\".ui > div.synonym\",\"tasks\":[[\"has\",{\"selector\":\"> div.divider\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}"],["{\"selector\":\".l-col > aside.c-section\",\"tasks\":[[\"has\",{\"selector\":\"> h4.c-section__title\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}","{\"selector\":\"main > aside.u-divider--t > h4\",\"tasks\":[[\"has-text\",\"/партнеров|партнерів|Partner news/\"],[\"upward\",1]]}"],["{\"selector\":\".article-column > div.title-bordered\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}","{\"selector\":\".publication > div.title-without-border\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}","{\"selector\":\"div[data-banner]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".form > div.synonym\",\"tasks\":[[\"has\",{\"selector\":\"> div.divider\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}"],["{\"selector\":\".row > div[class^=\\\"col-\\\"] > div.topic-border > div[class^=\\\"topic-box\\\"]\",\"tasks\":[[\"has-text\",\"Обзор СМИ\"],[\"upward\",2]]}","{\"selector\":\".sidebar-box > div.topic-border > div.topic-box-lg\",\"tasks\":[[\"has-text\",\"Реклама\"],[\"upward\",2]]}"],["{\"selector\":\".l-list > li.l-list__item > div[class*=\\\"-mob\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".main-content > div[class] + script\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class*=\\\"styles_root__\\\"] > div[class^=\\\"styles_container__\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> h3\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\".main-wrapper > div[style^=\\\"min-height:\\\"] > a[href][target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"main > div.inner-page-container\",\"tasks\":[[\"has\",{\"selector\":\"> section.block_section > div.container > header a\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\"#sidebar > div.sidebox\",\"tasks\":[[\"has\",{\"selector\":\"> div.sidetitle > span\",\"tasks\":[[\"has-text\",\"/Купуй українське!|Реклама|Інформація/\"]]}]]}"],["{\"selector\":\".content > div[class] > div[id]\",\"tasks\":[[\"has-text\",\"загрузка...\"]]}"],["{\"selector\":\".right-col > div.hint-block\",\"tasks\":[[\"has\",{\"selector\":\"> div.hint-block-title\",\"tasks\":[[\"has-text\",\"Партнеры\"]]}]]}"],["{\"selector\":\".right-column > div.right-column__title\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\".content-block > div.headed-block\",\"tasks\":[[\"has\",{\"selector\":\"div[class]\",\"tasks\":[[\"has-text\",\"новости партнеров\"]]}]]}"],["{\"selector\":\".sidebar a.sb-projects-header-lbl\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}"],["{\"selector\":\".content-area > div[id]\",\"tasks\":[[\"has-text\",\"загрузка\"]]}"],["{\"selector\":\".col-right > div[id]\",\"tasks\":[[\"has-text\",\"загрузка\"]]}"],["{\"selector\":\".container-margin div[id]\",\"tasks\":[[\"has-text\",\"загрузка...\"]]}"],["{\"selector\":\"main > article.post > div[id]\",\"tasks\":[[\"has-text\",\"загрузка\"]]}"],["{\"selector\":\".block-block\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"Реклама\"]]}]]}"],["{\"selector\":\".rightColumn > div.columnTitle\",\"tasks\":[[\"has-text\",\"/Новости партнеров|Другие новости/\"]]}"],["{\"selector\":\".content > .site-name-s > h2\",\"tasks\":[[\"has-text\",\"Новини Житомира\"]]}"],["{\"selector\":\".section__title\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"/Новости других СМИ|Новини інших ЗМІ/\"]]}]]}"],["{\"selector\":\".inner-wrapper > div\",\"tasks\":[[\"has\",{\"selector\":\"> [class]\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}","{\"selector\":\".inner-wrapper > div\",\"tasks\":[[\"has-text\",\"загрузка\"]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> b\",\"tasks\":[[\"has-text\",\"НОВОСТИ ПАРТНЕРОВ\"]]}]]}"],["{\"selector\":\".block-block\",\"tasks\":[[\"has\",{\"selector\":\"> div > h2\",\"tasks\":[[\"has-text\",\"Новости партнеров\"]]}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"Новости от партнеров\"]]}]]}","{\"selector\":\"li\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"MIXADVERT\"]]}]]}"]];
const argsSeqs = [0,-1,4,2,3,-3,5,-3,4,-3,21,4,-4,5,5,-5,28,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,22,23,24,25,26,27,29,30,31,32,33,34,35,36,37,38,39,40];
const hostnamesMap = new Map([["forumodua.com",1],["www.ukr.net",3],["epravda.com.ua",4],["glianec.com",4],["meteofor.com.ua",4],["gismeteo.ua",4],["dengi.ua",4],["eurointegration.com.ua",5],["i.factor.ua",7],["isport.ua",4],["kolobok.ua",7],["love.i.ua",4],["tv.ua",7],["radio.i.ua",4],["nv.ua",9],["pravda.com.ua",4],["finance.i.ua",4],["smak.ua",4],["buhgalter911.com",4],["gazeta.ua",4],["panno4ka.net",4],["meteo.ua",4],["censor.net",5],["kurs.com.ua",4],["zv.zp.ua",4],["ivona.ua",4],["i.ua",7],["buhgalter.com.ua",4],["nbnews.com.ua",4],["viva.ua",4],["zn.ua",4],["bigmir.net",4],["glavcom.ua",4],["hvylya.net",7],["inforesist.org",4],["nnovosti.info",4],["obyava.ua",4],["tochka.net",4],["u-news.com.ua",4],["ukr.net",4],["kriminal.tv",11],["lifedon.com.ua",11],["football24.ua",11],["vsetv.com",11],["gorod.dp.ua",11],["autoua.net",12],["beauty.ua",11],["besplatka.ua",11],["enovosty.com",11],["facenews.ua",11],["kp.ua",11],["liga.net",11],["orakul.com",12],["real-vin.com",11],["vgorode.ua",11],["newsyou.info",14],["4mama.ua",15],["gagadget.com",14],["internetua.com",14],["okino.ua",14],["ringside24.com",14],["toneto.net",14],["grad.ua",17],["tabloid.pravda.com.ua",18],["unian.ua",19],["web.telegram.org",20],["rsload.net",21],["24tv.ua",22],["devby.io",23],["m-translate.org.ua",24],["tsn.ua",25],["unian.net",26],["m-translate.com.ua",27],["t.ks.ua",28],["focus.ua",29],["times.km.ua",30],["life.ru",31],["racurs.ua",32],["siver.com.ua",33],["marieclaire.ua",34],["chis-chernomorsk.com.ua",35],["hochu.ua",36],["glavnoe.ua",37],["narodna-pravda.ua",38],["niknews.mk.ua",39],["lvnews.org.ua",40],["variat.com.ua",41],["zabor.zp.ua",42],["mignews.com.ua",43],["zhzh.com.ua",44],["online.ua",45],["podrobnosti.mk.ua",46],["ipress.ua",47],["dpchas.com.ua",48],["pl.com.ua",49]]);
const hasEntities = false;

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, argsSeqs, hostnamesMap, hasEntities });

/******************************************************************************/

})();

/******************************************************************************/
