/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

// ruleset: easylist

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = ["",["{\"selector\":\".elementor-section\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".recommender-wrapper\",\"tasks\":[[\"has-text\",\"Gesponsert\"]]}"],["{\"selector\":\".article-body > div\",\"tasks\":[[\"has-text\",\"[Advertisement]\"]]}"],["{\"selector\":\".article-sidebar\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".b-gray300\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".before-author-block-bio\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".bg-slate-100\",\"tasks\":[[\"has-text\",\"Ad\"]]}","{\"selector\":\".bottom-0.gap-2\",\"tasks\":[[\"has-text\",\"/Stake Now|Invest Now/\"]]}"],["{\"selector\":\".border-bottom\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".border-t\",\"tasks\":[[\"has-text\",\"You might also be interested in\"]]}"],["{\"selector\":\".card-glow\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".chakra-link\",\"tasks\":[[\"has-text\",\"Advertise\"]]}"],["{\"selector\":\".code-block\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"],["{\"selector\":\".d_3i\",\"tasks\":[[\"has-text\",\"Latest deals\"]]}","{\"selector\":\".e_4j\",\"tasks\":[[\"has-text\",\"See all deals\"]]}"],["{\"selector\":\".e-con-inner\",\"tasks\":[[\"has-text\",\"Our Favourite Trading Platforms\"]]}"],["{\"selector\":\".fhitem-story.fhitem\",\"tasks\":[[\"has-text\",\"Sponsored Content\"]]}"],["{\"selector\":\".form-group center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".ipsSideBlock.clearfix\",\"tasks\":[[\"has-text\",\"Affiliates\"]]}"],["{\"selector\":\".is-visible\",\"tasks\":[[\"has-text\",\"Remove ads\"]]}"],["{\"selector\":\".item-card-container\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".justify-center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".mb32\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".post__content > p\",\"tasks\":[[\"has-text\",\"This segment is a paid ad\"]]}"],["{\"selector\":\".q-sticky[style*=\\\"box-sizing: border-box; position: sticky;\\\"]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".relative.bg-white\",\"tasks\":[[\"has-text\",\"PolyBuzz\"]]}"],["{\"selector\":\".wp-block-gamurs-article-group__sidebar__wrapper\",\"tasks\":[[\"has-text\",\"related content\"]]}"],["{\"selector\":\".wp-block-gamurs-article-tile\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".z-10.justify-center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"article\",\"tasks\":[[\"has\",{\"selector\":\"header:has(.ct-sponsored)\"}]]}"],["{\"selector\":\"article\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"button\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > div > span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > div > div > div > p\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"],["{\"selector\":\"div.main-art\",\"tasks\":[[\"has-text\",\"Sponsored Content\"]]}"],["{\"selector\":\"[data-product-id]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"p.content-center\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"],["{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Sponsor Message\"]]}"],["{\"selector\":\".css-1nhzth8\",\"tasks\":[[\"has-text\",\"/sponsorisé|sponsored/\"]]}"],["{\"selector\":\"div[aria-labelledby=\\\"schedules-header\\\"] > div > div\",\"tasks\":[[\"has-text\",\"Ad\"]]}"],["{\"selector\":\".shopee-header-section\",\"tasks\":[[\"has\",{\"selector\":\"> .shopee-header-section__content\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}","{\"selector\":\".shopee-search-item-result__item\",\"tasks\":[[\"has-text\",\"Ad\"]]}","{\"selector\":\"div[class=\\\"N_YeYe\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .shopee_ic\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}","{\"selector\":\"div[class=\\\"oMSmr0\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> .shopee_ic\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"or Subscribe\"]]}"],["{\"selector\":\"span[display=\\\"inline-block\\\"]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".side-by-side-carousel__carousel_container\",\"tasks\":[[\"has-text\",\"Sponsored Products\"]]}"],["{\"selector\":\".AaFRW\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"[data-automation=\\\"crossSellShelf\\\"] div\",\"tasks\":[[\"has\",{\"selector\":\"> span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"[data-automation=\\\"relatedStories\\\"] div > div\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}]]}"],["{\"selector\":\".post_wrap\",\"tasks\":[[\"has-text\",\"AdBot\"]]}","{\"selector\":\"ul#bc-home-news-main-wrap > li\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".leading-3\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\".md\\\\:block.dark\\\\:bg-ramones\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".plp-ninja-carousel\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".qModule\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".product-banner\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".ProductRecsLink-sc-4mw94v-0\",\"tasks\":[[\"has\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"sponsored\"]]}]]}","{\"selector\":\"[data-test=\\\"productCardVariantRecommendation\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"div[data-test=\\\"@web/ProductCard/ProductCardVariantAisle\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"div[data-test=\\\"@web/site-top-of-funnel/ProductCardWrapper\\\"]\",\"tasks\":[[\"has-text\",\"sponsored\"]]}"],["{\"selector\":\".bg-white.flex.gap-6.w-full.shrink.justify-between.md\\\\:justify-normal.lg\\\\:flex-row-reverse\",\"tasks\":[[\"has\",{\"selector\":\".font-metadata.mr-1.uppercase\",\"tasks\":[[\"has-text\",\"Sponsored by\"]]}]]}"],["{\"selector\":\".EKDT7a3v\",\"tasks\":[[\"has-text\",\"AD\"]]}","{\"selector\":\".splide__slide\",\"tasks\":[[\"has-text\",\"AD\"]]}"],["{\"selector\":\".product-grid-cell\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".Ssfiu-\",\"tasks\":[[\"has-text\",\"/Patrocinado|Gesponsert|Sponsorisé|Sponsorizzato/\"]]}","{\"selector\":\"[data-testid=\\\"productCardListing\\\"]\",\"tasks\":[[\"has-text\",\"/Patrocinado|Gesponsert|Sponsorisé|Sponsorizzato/\"]]}"],["{\"selector\":\".pdl-generic-content_full\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div > div[class^=\\\"Carousel_wrapper\\\"]\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}","{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div > div[class^=\\\"ModuleSet_moduleSetContainer\\\"]\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}","{\"selector\":\"div[class^=\\\"sc-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> div[data-qe-id=\\\"productCard\\\"]\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"],["{\"selector\":\".cAWGu\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"Similar Sponsored Properties\"]]}]]}","{\"selector\":\".tkvEM\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"[aria-label=\\\"Map marker\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"[data-test=\\\"SL_list_item\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"section header[data-test=\\\"c006-container-wrapper\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"section[class=\\\"ln-o-section ln-u-hard-bottom ln-u-margin-top*2\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"spath\",\" + section[class=\\\"ln-o-section ln-u-hard-bottom ln-u-margin-top*2\\\"]\"]]}"],["{\"selector\":\".gig-card-layout\",\"tasks\":[[\"has-text\",\"Ad by\"]]}"],["{\"selector\":\".p24_tileContainer\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".py-sm.group\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"[data-testid=\\\"desktop-search\\\"] li\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Ad\"]]}]]}"],["{\"selector\":\"div[data-display-unit]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"],["{\"selector\":\".swiper-slide\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".wrapper\",\"tasks\":[[\"has-text\",\"Sponsored Articles\"]]}"],["{\"selector\":\"._2EeeR\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\".rs-infinite-scroll > div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\".slider-slide\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"#o-site-hr__leaderboard-wallpaper.u-show-for-xlarge\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".m-object\",\"tasks\":[[\"has\",{\"selector\":\".m-object__quote\",\"tasks\":[[\"has-text\",\"/In partnership with|En partenariat avec|Mit Unterstützung von|In collaborazione con|En colaboración con|Em parceria com|Совместно с|ile birlikte|Σε συνεργασία με|Együttműködésben a|با همکاری|بالمشاركة مع/\"]]}]]}"],["{\"selector\":\"article\",\"tasks\":[[\"has\",{\"selector\":\".Yw5es\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"ul[style^=\\\"padding: 0px; position: relative;\\\"] > li[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"[data-testid=\\\"product-grid\\\"] > div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".suppress-rss\",\"tasks\":[[\"has\",{\"selector\":\"\",\"tasks\":[[\"has-text\",\"Supported by\"]]}]]}"],["{\"selector\":\"div.swiper-slide\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"li[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"[data-test^=\\\"component-slider-slide-\\\"]\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}"],["{\"selector\":\"[data-testid=\\\"card\\\"]\",\"tasks\":[[\"has-text\",\"sponsored\"]]}"],["{\"selector\":\"[data-testid^=\\\"listing-card-list-item-\\\"]\",\"tasks\":[[\"has-text\",\"TOP AD\"]]}"],["{\"selector\":\".product-tile-group__list__item\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"li.ProductListingResults__productCard\",\"tasks\":[[\"has\",{\"selector\":\".ProductCard__badge\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"],["{\"selector\":\".jeg_postblock\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}"],["{\"selector\":\".product-card-col\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".PropertyCardItem\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"],["{\"selector\":\".J-offer-wrapper\",\"tasks\":[[\"has-text\",\"Top sponsor listing\"]]}"],["{\"selector\":\"#card-list > .search-item-card-wrapper-gallery\",\"tasks\":[[\"has\",{\"selector\":\"a.search-card-item[href*=\\\"&aem_p4p_detail=\\\"] div[class*=\\\"cards--image--\\\"] > div[class*=\\\"multi--ax--\\\"]\",\"tasks\":[[\"has-text\",\"/^(?:AD|An[uú]ncio|광고|広告)$/\"]]}],[\"spath\",\":has(+ .search-item-card-wrapper-gallery a.search-card-item:not([href*=\\\"&aem_p4p_detail=\\\"]))\"]]}"],["{\"selector\":\"article\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"],["{\"selector\":\".panel\",\"tasks\":[[\"has-text\",\"createAd\"]]}"],["{\"selector\":\"span.text-secondary\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"li.group-\\\\[\\\\.inline\\\\]\\\\:mb-8\",\"tasks\":[[\"has-text\",\"Ad\"]]}"],["{\"selector\":\"center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".et_pb_module\",\"tasks\":[[\"has-text\",\"Partners\"],[\"spath\",\" + .et_pb_module\"]]}","{\"selector\":\".et_pb_module\",\"tasks\":[[\"has-text\",\"Partners\"]]}","{\"selector\":\".et_pb_widget\",\"tasks\":[[\"has-text\",\"Partners\"]]}"],["{\"selector\":\"table\",\"tasks\":[[\"has\",{\"selector\":\"> tbody > tr > td > a\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}]]}"],["{\"selector\":\"[style*=\\\"center\\\"]\",\"tasks\":[[\"has-text\",\"Ad\"]]}"],["{\"selector\":\"div[data-testid=\\\"property-card\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Promoted\"]]}]]}"],["{\"selector\":\"[width]\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"],["{\"selector\":\".oct-listers-hits__item\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".b-main__section\",\"tasks\":[[\"has\",{\"selector\":\"h2.homepage-headline\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}]]}"],["{\"selector\":\".text-12\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"],["{\"selector\":\".zox-side-widget\",\"tasks\":[[\"has-text\",\"/^Advertis/\"]]}"],["{\"selector\":\".row\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".panel\",\"tasks\":[[\"has\",{\"selector\":\"h3\",\"tasks\":[[\"has-text\",\"Sponsored Ad\"]]}]]}"],["{\"selector\":\"a\",\"tasks\":[[\"has\",{\"selector\":\"div:last-child\",\"tasks\":[[\"has-text\",\"Hide\"]]}]]}"],["{\"selector\":\".ipsColumns_collapsePhone.classes\",\"tasks\":[[\"has-text\",\"Our Sponsors\"]]}"],["{\"selector\":\".blockTitle\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"aside.td_block_template_1.widget.widget_text\",\"tasks\":[[\"has\",{\"selector\":\"> h4.block-title > span\",\"tasks\":[[\"has-text\",\"Visit Our Sponsors\"]]}]]}"],["{\"selector\":\"div[role=\\\"group\\\"]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"div#container-text\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}","{\"selector\":\"span.container-text\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"AD\"]]}"],["{\"selector\":\"article.relative\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}]]}"],["{\"selector\":\"tbody\",\"tasks\":[[\"has-text\",\"WARNING! Use a\"]]}"],["{\"selector\":\"article.card-article\",\"tasks\":[[\"has\",{\"selector\":\"span.card-article__author\",\"tasks\":[[\"has-text\",\"Sponsored Content\"]]}]]}"],["{\"selector\":\".moduleContent\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".header-2\",\"tasks\":[[\"has-text\",\"Sponsored Suggestions\"]]}"],["{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit; display: none !important;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership with \"]]}]]}","{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit; display: none !important;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership\"]]}]]}","{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership with \"]]}]]}"],["{\"selector\":\".msg-overlay-list-bubble__conversations-list\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__description\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}","{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__sub-description\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}","{\"selector\":\"div.feed-shared-update-v2\",\"tasks\":[[\"has\",{\"selector\":\"span.update-components-actor__sub-description--tla\",\"tasks\":[[\"has-text\",\"/Anzeige|Sponsored|Promoted|Dipromosikan|Propagováno|Promoveret|Gesponsert|Promocionado|促銷內容|Post sponsorisé|프로모션|Post sponsorizzato|广告|プロモーション|Treść promowana|Patrocinado|Promovat|Продвигается|Marknadsfört|Nai-promote|ได้รับการโปรโมท|Öne çıkarılan içerik|Gepromoot|الترويج/\"]]}]]}"],["{\"selector\":\".chakra-container\",\"tasks\":[[\"has-text\",\"Featured Items\"]]}"],["{\"selector\":\"div.product-tile\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"],["{\"selector\":\"span[class*=\\\"productContaine\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"],["{\"selector\":\"[class^=\\\"CitrusCatapult-styled__LeftContent\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"[class^=\\\"HorizontalWidget\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"li\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\".row.justify-center\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"div > header + div > div + div\",\"tasks\":[[\"has-text\",\"Sponsors\"]]}"],["{\"selector\":\"div.mb-28\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Ads\"]]}]]}"],["{\"selector\":\".marketplace-row\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"div[class^=\\\"css-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> a\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}]]}"],["{\"selector\":\"div[class] > p\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}"],["{\"selector\":\"[class] > p\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"li.product-wrapper\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}"],["{\"selector\":\"tbody\",\"tasks\":[[\"has-text\",\"Please visit our below advertisers\"]]}"],["{\"selector\":\"li.list-group-item\",\"tasks\":[[\"has-text\",\"Sponsored content\"]]}"],["{\"selector\":\"h2[role=\\\"heading\\\"]\",\"tasks\":[[\"has-text\",\"/Promoted|Gesponsert|Promocionado|Sponsorisé|Sponsorizzato|Promowane|Promovido|Реклама|Uitgelicht|Sponsorlu|Promotert|Promoveret|Sponsrad|Mainostettu|Sponzorováno|Promovat|Ajánlott|Προωθημένο|Dipromosikan|Được quảng bá|推廣|推广|推薦|推荐|プロモーション|프로모션|ประชาสมพนธ|परचरत|বজঞপত|تشہیر شدہ|مروج|تبلیغی|מקודם/\"]]}"],["{\"selector\":\"a13\",\"tasks\":[[\"has-text\",\" Ad\"]]}"],["{\"selector\":\"li.b_algo:has(.rms_img[src*=\\\"id=ODLS.A2450BEC-5595-40BA-9F13-D9EC6AB74B9F\\\"])\",\"tasks\":[[\"has\",{\"selector\":\".tptt\",\"tasks\":[[\"has-text\",\"/^([Aa]mazon(\\\\.[acdefinps][aeglnorst]m?\\\\.?[abjmtu]?[kprux]?)?|Best Buy|Booking\\\\.com|eBay|eDreams|Lenovo US|Trip\\\\.com|Tripadvisor|Walmart)$/\"]]}]]}"],["{\"selector\":\".banner\",\"tasks\":[[\"has-text\",\"/Sponsorizzato|Sponsorowane|Sponsorizat|Sponzorováno|Szponzorált|Спонсорирани|Sponsored|Gesponsert/\"]]}","{\"selector\":\".product\",\"tasks\":[[\"has-text\",\"/Sponsorizzato|Sponsorowane|Sponsorizat|Sponzorováno|Szponzorált|Спонсорирани|Sponsored|Gesponsert/\"]]}"],["{\"selector\":\"main[class^=\\\"searchResultsContainer\\\"] li h2\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"div > div[io-id]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"div[role=\\\"group\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"has-text\",\"/Sponsored|Commandité/\"]]}]]}"],["{\"selector\":\"[data-testid=\\\"commercial-above-header-box-1\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".video-holder > center > *\",\"tasks\":[[\"has-text\",\"/^Advertisement$/\"]]}"],["{\"selector\":\".ct-related-videos-title\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\".ct-related-videos-title\",\"tasks\":[[\"has-text\",\"You may also like\"]]}"],["{\"selector\":\".money\",\"tasks\":[[\"has\",{\"selector\":\".century\",\"tasks\":[[\"has-text\",\"ADS\"]]}]]}"],["{\"selector\":\".block_label--last\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".bn-title\",\"tasks\":[[\"has-text\",\"Advertising\"]]}"],["{\"selector\":\".row\",\"tasks\":[[\"has-text\",\"Promotion Bot\"]]}"],["{\"selector\":\".items-center\",\"tasks\":[[\"has-text\",\"/^ad$/\"]]}","{\"selector\":\"[role=\\\"gridcell\\\"]\",\"tasks\":[[\"has-text\",\"/^AD$/\"]]}"],["{\"selector\":\".clean-grid-grid-post:has(> [id^=\\\"otomi-\\\"] + .clean-grid-grid-post-details-full)\",\"action\":[\"remove\",\"\"]}"]];
const argsSeqs = [0,1,2,3,4,-5,21,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,-32,52,33,34,-35,-70,-72,109,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,51,53,54,55,56,57,58,59,60,-61,111,61,62,63,64,65,-66,-72,109,67,68,69,-70,72,-70,-72,109,71,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,110,112,113,114,115,116,117,118,119,120,121,122,123,124,125,126,127,128,129,130,131,132,133,134,135,136,137];
const hostnamesMap = new Map([["bayequest.com",1],["kaufland.*",2],["thedailywtf.com",3],["historic-uk.com",4],["beaumontenterprise.com",5],["chron.com",5],["ctinsider.com",5],["ctpost.com",5],["expressnews.com",5],["greenwichtime.com",5],["houstonchronicle.com",5],["lmtonline.com",5],["manisteenews.com",5],["michigansthumb.com",5],["middletownpress.com",5],["mrt.com",5],["myjournalcourier.com",5],["myplainview.com",5],["mysanantonio.com",5],["newstimes.com",5],["nhregister.com",5],["ourmidland.com",5],["registercitizen.com",5],["sfchronicle.com",5],["stamfordadvocate.com",5],["thehour.com",5],["theintelligencer.com",5],["beincrypto.com",7],["dropstab.com",8],["coincarp.com",9],["health.harvard.edu",10],["haveibeenpwned.com",11],["dexscreener.com",12],["wltreport.com",13],["androidauthority.com",14],["bitcoinsensus.com",15],["slashdot.org",16],["wings.io",17],["vpforums.org",18],["stocktwits.com",19],["thingiverse.com",20],["engadget.com",21],["sfgate.com",22],["404media.co",23],["quora.com",24],["downforeveryoneorjustme.com",25],["themarysue.com",26],["dotesports.com",27],["mapquest.co.uk",28],["tympanus.net",29],["tumlook.com",30],["wolt.com",31],["appleinsider.com",32],["giantfood.com",33],["giantfoodstores.com",33],["martinsfoods.com",33],["globalchinaev.com",35],["sciencenews.org",36],["provigo.ca",37],["rome2rio.com",41],["shopee.sg",42],["pushsquare.com",43],["fxempire.com",44],["staples.com",45],["tripadvisor.*",46],["bleepingcomputer.com",47],["yahoo.com",48],["bestbuy.com",49],["qvc.com",50],["newegg.com",51],["target.com",52],["coindesk.com",53],["temu.com",54],["foodlion.com",55],["manomano.*",56],["heb.com",57],["tripadvisor.com",58],["sainsburys.co.uk",59],["fiverr.com",60],["property24.com",61],["perplexity.ai",62],["autotrader.co.uk",63],["dev.to",64],["noon.com",65],["freshdirect.com",67],["kslnewsradio.com",68],["ksltv.com",68],["ktar.com",68],["kogan.com",69],["euronews.com",70],["nordstrom.com",71],["loblaws.ca",72],["semafor.com",75],["shipt.com",76],["argos.co.uk",77],["atlanticsuperstore.ca",78],["fortinos.ca",78],["maxi.ca",78],["newfoundlandgrocerystores.ca",78],["nofrills.ca",78],["realcanadiansuperstore.ca",78],["valumart.ca",80],["yourindependentgrocer.ca",80],["zehrs.ca",80],["kijiji.ca",83],["ulta.com",84],["leadership.ng",85],["acmemarkets.com",86],["albertsons.com",86],["andronicos.com",86],["carrsqc.com",86],["haggen.com",86],["jewelosco.com",86],["kingsfoodmarkets.com",86],["pavilions.com",86],["randalls.com",86],["safeway.com",86],["shaws.com",86],["starmarket.com",86],["tomthumb.com",86],["vons.com",86],["agoda.com",87],["alibaba.com",88],["aliexpress.com",89],["app.daily.dev",90],["backpack.tf",91],["backpacktf.com",91],["belloflostsouls.net",92],["cointelegraph.com",93],["scamwarners.com",94],["lovenovels.net",94],["infographicjournal.com",95],["telugupeople.com",96],["bolnews.com",97],["booking.com",98],["yourstory.com",99],["boots.com",100],["china.ahk.de",101],["producthunt.com",102],["cleantechnica.com",103],["mapchart.net",104],["coinlisting.info",105],["coolors.co",106],["neowin.net",107],["amusingplanet.com",108],["corvetteblogger.com",109],["cruisecritic.co.uk",110],["cruisecritic.com",110],["deccanherald.com",111],["decrypt.co",112],["digg.com",113],["eztv.tf",114],["eztv.yt",114],["123unblock.bar",114],["filehippo.com",115],["gamersnexus.net",116],["hannaford.com",117],["instagram.com",118],["linkedin.com",119],["noelleeming.co.nz",120],["petco.com",121],["bitchute.com",122],["regex101.com",123],["search.yahoo.com",124],["seattleweekly.com",125],["sephora.com",126],["techonthenet.com",127],["dictionary.com",128],["thesaurus.com",128],["sprouts.com",129],["tossinggames.com",130],["trends.gab.com",131],["twitter.com",132],["x.com",132],["vofomovies.info",133],["bing.com",134],["modivo.*",135],["yelp.*",136],["walmart.*",137],["dailystar.co.uk",138],["4wank.com",139],["crocotube.com",140],["hdpornpics.net",141],["hotmovs.com",142],["okxxx1.com",143],["porn-w.org",144],["reddxxx.com",145],["otomi-games.com",146]]);
const hasEntities = true;

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, argsSeqs, hostnamesMap, hasEntities });

/******************************************************************************/

})();

/******************************************************************************/
