/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

// ruleset: swe-1

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = ["",["{\"selector\":\".carousel-item-link\",\"tasks\":[[\"has-text\",\"Annons:\"]]}"],["{\"selector\":\":is(main > section a[data-test-tag=\\\"internal-link\\\"], #main > section a[data-test-tag=\\\"internal-link\\\"], main > section a[href*=\\\"godare.se\\\"], #main > section a[href*=\\\"godare.se\\\"], main > aside a[data-test-tag=\\\"internal-link\\\"])\",\"tasks\":[[\"has-text\",\"innehåller annonslänkar\"]]}","{\"selector\":\"[data-ad-subtype]\",\"tasks\":[[\"upward\",1],[\"matches-css\",{\"name\":\"min-height\",\"value\":\"[0-9]+\"}]]}","{\"selector\":\"main > section > div:first-child\",\"tasks\":[[\"matches-css\",{\"name\":\"box-shadow\",\"value\":\"^rgba\\\\(0, 0, 0, 0\\\\.2\\\\) 0px 0px 24px 0px$\"}]]}"],["{\"selector\":\"a.js_commercial-text--link-text\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\".jwplayer_video-videoArea\"]]}","{\"selector\":\"article.grid\",\"tasks\":[[\"has-text\",\"/annonssamarbete/i\"]]}","{\"selector\":\"div.wings-gray-200\",\"tasks\":[[\"has-text\",\"Annons\"]]}"],["{\"selector\":\"article p.uppercase.tracking-wide\",\"tasks\":[[\"has-text\",\"Inlägget innehåller annonslänkar\"],[\"upward\",\"article\"]]}"],["{\"selector\":\".text-sm\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".border-b, a[target]\"]]}"],["{\"selector\":\".bottom-liner span\",\"tasks\":[[\"has-text\",\"Annons\"],[\"upward\",2]]}"],["{\"selector\":\".label\",\"tasks\":[[\"has-text\",\"/sponsrad/i\"],[\"upward\",\"a\"]]}"],["{\"selector\":\".slide-entry-excerpt\",\"tasks\":[[\"has-text\",\"/annons:/i\"],[\"upward\",\".avia-content-slider\"]]}"],["{\"selector\":\".post-item__tag\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\"li.post-item\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\".widget_text\"]]}"],["{\"selector\":\"article.closed\",\"action\":[\"remove-class\",\"closed\"]}"],["{\"selector\":\".slick-slide\",\"tasks\":[[\"has-text\",\"/sponsra/i\"]]}","{\"selector\":\".status-badge\",\"tasks\":[[\"has-text\",\"/sponsra/i\"],[\"upward\",\".post-wrapper\"]]}"],["{\"selector\":\".search-page__content .tag\",\"tasks\":[[\"has-text\",\"Sponsrad\"],[\"upward\",\"li\"]]}"],["{\"selector\":\".adlabel\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\".colorized\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\"a\"]]}","{\"selector\":\".elevated-button\",\"tasks\":[[\"has-text\",\"/^Cookie/\"],[\"upward\",\".container\"]]}","{\"selector\":\".label\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",1]]}","{\"selector\":\".sponsored\",\"tasks\":[[\"upward\",\"a\"]]}","{\"selector\":\".sponsored-chip\",\"tasks\":[[\"matches-css\",{\"name\":\"display\",\"value\":\"^block$\"}],[\"upward\",\"a\"]]}","{\"selector\":\"img[src*=\\\"/borskollen_newsletter\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".label\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".highlighted-article-block\"]]}"],["{\"selector\":\".article__properties-breadcrumbs span\",\"tasks\":[[\"has-text\",\"/Sponsrad|annons/i\"],[\"upward\",\".article\"]]}"],["{\"selector\":\"div[class*=\\\"section-preview\\\"]\",\"tasks\":[[\"has-text\",\"/betalt samarbete/i\"],[\"upward\",4]]}"],["{\"selector\":\".carousel-item:has(.sponsored)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body > .elementor > .elementor-section:first-child\",\"tasks\":[[\"has-text\",\"Annons\"]]}"],["{\"selector\":\"a.click-track, img.click-track\",\"action\":[\"remove-class\",\"click-track\"]}","{\"selector\":\"a.click-track-attachment-preview, img.click-track-attachment-preview\",\"action\":[\"remove-class\",\"click-track-attachment-preview\"]}","{\"selector\":\"img[data-click-track]\",\"action\":[\"remove-attr\",\"data-click-track\"]}"],["{\"selector\":\"aside .textwidget\",\"tasks\":[[\"has-text\",\"/sponsr|samarbetspartners/i\"]]}"],["{\"selector\":\".post_sponsrad_label\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".post > div[style]\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",\"article:not([id])\"]]}"],["{\"selector\":\"small\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".elementor-column\"]]}"],["{\"selector\":\":is(.text-xs, sub)\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",1]]}","{\"selector\":\"sub\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",\"p\"],[\"spath\",\" + script + iframe + p\"]]}"],["{\"selector\":\".label\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"SPONSRAT\"],[\"upward\",\".swiper-slide\"]]}","{\"selector\":\".text-right\",\"tasks\":[[\"has-text\",\"ANNONS\"]]}","{\"selector\":\"a[href^=\\\"https://dagenstech.se/articles/\\\"]\",\"tasks\":[[\"upward\",1],[\"has-text\",\"SPONSRAT\"]]}"],["{\"selector\":\".slick-slide\",\"tasks\":[[\"has-text\",\"/casino/i\"]]}"],["{\"selector\":\".single-post .content h5\",\"tasks\":[[\"has-text\",\"ANNONSSAMARBETE\"],[\"upward\",\"a.single-post\"]]}"],["{\"selector\":\".heading\",\"tasks\":[[\"has-text\",\"/samarbete/i\"],[\"upward\",\".elementor-widget-smartmag-featgrid\"]]}"],["{\"selector\":\"h3.h-custom-headline\",\"tasks\":[[\"has-text\",\"Advertorial\"],[\"upward\",1]]}"],["{\"selector\":\"a[onclick^=\\\"trackLinkClick\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\".rightdiv p\",\"tasks\":[[\"has-text\",\"/casino|kasino|lån|betting|odds|lotto/i\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"spath\",\" + .textwidget\"]]}","{\"selector\":\"body.unselectable\",\"action\":[\"remove-class\",\"unselectable\"]}"],["{\"selector\":\".label-sponsored\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\"#latest-slider a\"]]}"],["{\"selector\":\"video[data-auto-play]\",\"action\":[\"remove-attr\",\"data-auto-play\"]}"],["{\"selector\":\"html[data-impression-tracking-endpoint]\",\"action\":[\"remove-attr\",\"data-impression-tracking-endpoint\"]}"],["{\"selector\":\".aside-list--heading\",\"tasks\":[[\"has-text\",\"/^sponsra/i\"],[\"upward\",\".aside-list\"]]}","{\"selector\":\".code-block\",\"tasks\":[[\"has-text\",\"/annons/i\"]]}"],["{\"selector\":\".font-sans.rounded-full\",\"tasks\":[[\"has-text\",\"Annons\"],[\"upward\",\"article\"]]}"],["{\"selector\":\"section.c-native_banner\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"p[style^=\\\"text-align: center;\\\"] em\",\"tasks\":[[\"has-text\",\"Annonser\"],[\"upward\",2]]}"],["{\"selector\":\"article.elementor-grid-item\",\"tasks\":[[\"has-text\",\"reklamsamarbete\"]]}"],["{\"selector\":\":is(div[id^=\\\"everysport_pano\\\"], div[id^=\\\"everysport_mobil\\\"], div[id^=\\\"everysport_rektangel\\\"])\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div.flowy-wp-protected-content\",\"action\":[\"remove-class\",\"flowy-wp-protected-content\"]}","{\"selector\":\"p.has-text-align-center\",\"tasks\":[[\"has-text\",\"Annons:\"]]}"],["{\"selector\":\".video-player[data-ad-config]\",\"action\":[\"remove-attr\",\"data-ad-config\"]}","{\"selector\":\"a[data-t-category]\",\"action\":[\"remove-attr\",\"data-t-category\"]}","{\"selector\":\"a[data-t-label]\",\"action\":[\"remove-attr\",\"data-t-label\"]}","{\"selector\":\"a[data-t-type]\",\"action\":[\"remove-attr\",\"data-t-type\"]}","{\"selector\":\"video[autoplay]\",\"action\":[\"remove-attr\",\"autoplay\"]}"],["{\"selector\":\"a[onclick^=\\\"plausible\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\":is(a[target=\\\"_blank\\\"]:not([href^=\\\"/\\\"], [href*=\\\"filatelisten.se\\\"]))\",\"tasks\":[[\"upward\",\"section\"]]}"],["{\"selector\":\":is(img[src=\\\"../images/sponsrade.png\\\"], a[href=\\\"https://stodlinjen.se/\\\"])\",\"tasks\":[[\"upward\",\".row\"]]}"],["{\"selector\":\".tdm-descr\",\"tasks\":[[\"has-text\",\"/casino/i\"]]}","{\"selector\":\"a.td-post-category[href*=\\\"/category/annons/\\\"]\",\"tasks\":[[\"upward\",\".td-category-pos-image\"]]}"],["{\"selector\":\".feat-cat\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\"a\"]]}"],["{\"selector\":\"a[href*=\\\"casino\\\"]\",\"tasks\":[[\"upward\",\"p\"]]}"],["{\"selector\":\".whitebox-container\",\"tasks\":[[\"has-text\",\"/sponsra/i\"]]}","{\"selector\":\":is(div[class*=\\\"vicky-whitebox\\\"], .vicky-category-label, .vicky-video-infobox-label, .vicky-post-headline-container__category__inner)\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\"a, .carousel-caption, .featurette, article\"]]}"],["{\"selector\":\"body.tingle-enabled\",\"action\":[\"remove-class\",\"tingle-enabled\"]}"],["{\"selector\":\".ticker-title\",\"tasks\":[[\"has-text\",\"/partner/i\"],[\"spath\",\" + .mh-section\"]]}","{\"selector\":\".ticker-title\",\"tasks\":[[\"has-text\",\"/partner/i\"]]}","{\"selector\":\":is(.topwidget, .video-banner)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\":is(.sponsored, .theme-news_sponsored_container)\",\"tasks\":[[\"upward\",\".theme-news\"]]}","{\"selector\":\"div[class$=\\\"sponsortitle\\\"]\",\"tasks\":[[\"upward\",\".desktop-side-widget\"]]}"],["{\"selector\":\".smallNewsCategory\",\"tasks\":[[\"has-text\",\"/sponsr/i\"],[\"upward\",\".smallNewsLink\"]]}","{\"selector\":\"img[src*=\\\"/images/annonser/\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"a[href*=\\\"casino\\\"]\",\"tasks\":[[\"upward\",\".content\"]]}"],["{\"selector\":\".category\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\"article\"]]}","{\"selector\":\".messageHolder ~ div[id*=\\\"viralize\\\"][class*=\\\"brand-showheroes\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".mark\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\".post\"]]}"],["{\"selector\":\".holidAds\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".td-block-title-wrap\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",1]]}"],["{\"selector\":\".td-block-title > span\",\"tasks\":[[\"has-text\",\"/annonserat innehåll/i\"],[\"upward\",\".td_block_wrap\"]]}","{\"selector\":\".wp-block-column > h2\",\"tasks\":[[\"has-text\",\"/annonser/i\"],[\"spath\",\" ~ p\"]]}"],["{\"selector\":\".fp-carousel .fpci-kicker\",\"tasks\":[[\"has-text\",\"/^sponsr/i\"],[\"upward\",\".fpc-item\"]]}"],["{\"selector\":\".ad_interscroller\",\"tasks\":[[\"upward\",\".wrapper\"]]}","{\"selector\":\".colHomePlayer:has([data-slotads=\\\"videoad\\\"])\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"video[data-autoplay]\",\"action\":[\"remove-attr\",\"data-autoplay\"]}"],["{\"selector\":\"article\",\"tasks\":[[\"has-text\",\"/är en annons/i\"]]}"],["{\"selector\":\":is(p[class^=\\\"teasersmall-sectionLabel\\\"], p[class^=\\\"teasermedium-sectionLabel\\\"])\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\"a.internal-link, li\"]]}","{\"selector\":\"[id^=\\\"adPlacement\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".text-gray.text-xs\",\"tasks\":[[\"has-text\",\"Annons:\"],[\"upward\",1]]}"],["{\"selector\":\".sponsored-notification\",\"tasks\":[[\"upward\",\"[id^=\\\"post-\\\"]\"]]}"],["{\"selector\":\"a[href*=\\\"casino\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"a[href*=\\\"/category/sponsrat/\\\"]\",\"tasks\":[[\"upward\",\"li[class=\\\"\\\"]\"]]}"],["{\"selector\":\"p[style^=\\\"text-transform\\\"]\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"spath\",\" + .wp-block-kadence-posts\"]]}","{\"selector\":\"p[style^=\\\"text-transform\\\"]\",\"tasks\":[[\"has-text\",\"/annons/i\"]]}"],["{\"selector\":\":is(div[class^=\\\"u-text\\\"], .u-font-brand)\",\"tasks\":[[\"has-text\",\"/^Reklam$/\"],[\"upward\",\"section\"]]}"],["{\"selector\":\".post-excerpt\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",\".post\"]]}"],["{\"selector\":\"a[class^=\\\"ArticleCard\\\"]\",\"tasks\":[[\"has-text\",\"/sponsrad av/i\"]]}","{\"selector\":\"article[class^=\\\"ArticleCard\\\"]\",\"tasks\":[[\"has-text\",\"/sponsrad/i\"]]}","{\"selector\":\"div[class^=\\\"ArticleCard_\\\"] small\",\"tasks\":[[\"has-text\",\"/sponsrad/i\"],[\"upward\",\"article, li, a\"]]}","{\"selector\":\"span[class^=\\\"ArticleContent_articleDateBox\\\"]\",\"tasks\":[[\"has-text\",\"/annons från/i\"],[\"upward\",\"div[class^=\\\"ArticleContent_articlePage\\\"]\"]]}"],["{\"selector\":\"div[id^=\\\"hitta_mobile_\\\"].placeholder\",\"tasks\":[[\"upward\",\"div[class^=\\\"height\\\"], div[class^=\\\"style_breakout\\\"]\"]]}"],["{\"selector\":\".vc_row_inner\",\"tasks\":[[\"has-text\",\"casino\"]]}"],["{\"selector\":\".text-center\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",1]]}","{\"selector\":\"a.bg-yellow\\\\/30\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",1]]}"],["{\"selector\":\".small\",\"tasks\":[[\"has-text\",\"/Annons/i\"],[\"upward\",1]]}"],["{\"selector\":\".uk-text-center\",\"tasks\":[[\"has-text\",\"Annonser:\"],[\"upward\",\".uk-width-large\\\\@m\"]]}","{\"selector\":\".uk-text-left\",\"tasks\":[[\"has-text\",\"Annonser:\"],[\"upward\",\".uk-section\"]]}"],["{\"selector\":\".articleintroduction strong\",\"tasks\":[[\"has-text\",\"/samarbete/i\"],[\"upward\",\"li.item\"]]}"],["{\"selector\":\":is(a[href*=\\\"casino\\\"], a[href*=\\\"speltips\\\"])\",\"tasks\":[[\"upward\",\".widget\"]]}"],["{\"selector\":\".nyhetsochreseartiklar .views-row\",\"tasks\":[[\"has-text\",\"/casino/i\"]]}"],["{\"selector\":\".text-xs.font-bold\",\"tasks\":[[\"has-text\",\"Sponsrat inlägg\"],[\"upward\",\"a\"]]}"],["{\"selector\":\".article\",\"tasks\":[[\"has-text\",\"/sponsrad artikel/i\"]]}"],["{\"selector\":\".post-single-content p em\",\"tasks\":[[\"has-text\",\"Annons:\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\"aside\"]]}"],["{\"selector\":\".et_pb_module\",\"tasks\":[[\"matches-css\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^\\\"Annons:\\\"$\"}]]}"],["{\"selector\":\"div[id^=\\\"ad-panorama\\\"]\",\"tasks\":[[\"upward\",\".elementor-section\"]]}"],["{\"selector\":\"body[unselectable]\",\"action\":[\"remove-attr\",\"unselectable\"]}"],["{\"selector\":\".elementor-heading-title\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".elementor-column\"]]}"],["{\"selector\":\".annons-label\",\"tasks\":[[\"upward\",\"a\"]]}"],["{\"selector\":\".sidebar-block\",\"tasks\":[[\"has-text\",\"/annons|sponsor/i\"]]}"],["{\"selector\":\":is(a[href*=\\\"casino\\\"], a[href*=\\\"kasino\\\"], a[href*=\\\"passagen.se\\\"])\",\"tasks\":[[\"upward\",\"p\"]]}"],["{\"selector\":\".card-partner\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".ad-text\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".content-box-list__item\"]]}","{\"selector\":\"body.mega-loading\",\"action\":[\"remove-class\",\"mega-loading\"]}"],["{\"selector\":\".cookieBarWrapper\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"iframe[allow]\",\"action\":[\"remove-attr\",\"allow\"]}"],["{\"selector\":\"a.article-link\",\"tasks\":[[\"has-text\",\"Annons:\"],[\"upward\",\".sp-article-content\"]]}","{\"selector\":\"div.mark\",\"tasks\":[[\"matches-css\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":\"^\\\"ANNONS\\\"$\"}]]}"],["{\"selector\":\".postCard\",\"tasks\":[[\"has-text\",\"/bonusar|casino|betting|spelbranschen|spelupplevelse/i\"]]}"],["{\"selector\":\"h5[style^=\\\"text-transform\\\"]\",\"tasks\":[[\"has-text\",\"annons\"],[\"upward\",1]]}"],["{\"selector\":\":is(a[href*=\\\"casino\\\"], a[href*=\\\"betting\\\"], a[href*=\\\"poker\\\"])\",\"tasks\":[[\"upward\",\".elementor-widget\"]]}","{\"selector\":\"article.feed-item\",\"tasks\":[[\"has-text\",\"/låna pengar|casino|betting/i\"]]}"],["{\"selector\":\".fusion-post-content-container\",\"tasks\":[[\"has-text\",\"/^annons/i\"],[\"upward\",\"article\"]]}"],["{\"selector\":\"div[class*=\\\"elementor-widget-text-editor\\\"][data-widget_type=\\\"text-editor.default\\\"] > .elementor-widget-container > p\",\"tasks\":[[\"has-text\",\"SPONSRAT\"],[\"upward\",\".jet-listing-grid__items\"]]}"],["{\"selector\":\"body.private\",\"action\":[\"remove-class\",\"private\"]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"ANNONS:\"],[\"upward\",\".really_simple_image_widget\"]]}"],["{\"selector\":\":is(img[src$=\\\"a_top.png.webp\\\"], a[href*=\\\"casino\\\"])\",\"tasks\":[[\"upward\",\"section.elementor-section\"]]}"],["{\"selector\":\".special_ad_video\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".elementor-widget-heading\",\"tasks\":[[\"has-text\",\"/Sponsra|annons/i\"],[\"spath\",\" + .elementor-widget-post-block\"]]}","{\"selector\":\".elementor-widget-heading\",\"tasks\":[[\"has-text\",\"/Sponsra|annons/i\"]]}"],["{\"selector\":\"div.with-ads\",\"action\":[\"remove-class\",\"with-ads\"]}"],["{\"selector\":\"div[id^=\\\"gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"noscript\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"mdp-deblocker-js-disabled\"]]}","{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"body * :not\"]]}"],["{\"selector\":\".bannergroup\",\"tasks\":[[\"upward\",\".uk-panel-box\"]]}"],["{\"selector\":\"p.has-text-align-center\",\"tasks\":[[\"has-text\",\"/i samarbete med/i\"],[\"upward\",\".post\"]]}"],["{\"selector\":\".excerpt\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\"article\"]]}","{\"selector\":\".sidebar-widget h3\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".sidebar-widget\"]]}"],["{\"selector\":\".textwidget\",\"tasks\":[[\"has-text\",\"Annons\"]]}"],["{\"selector\":\".elementor-heading-title\",\"tasks\":[[\"has-text\",\"Annons\"],[\"upward\",\"section.elementor-top-section:not(.elementor-section-items-middle)\"]]}"],["{\"selector\":\".list-article__item-inscription\",\"tasks\":[[\"has-text\",\"/sponsrat innehåll/i\"],[\"upward\",\".list-article__item\"]]}"],["{\"selector\":\"#nativendo-mainfeed\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"span:not(.post-content)\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".post\"]]}"],["{\"selector\":\".su-label\",\"tasks\":[[\"has-text\",\"/sponsra/i\"],[\"upward\",\".wpb_text_column\"]]}","{\"selector\":\".td-excerpt\",\"tasks\":[[\"has-text\",\"/sponsra/i\"],[\"upward\",\".meta-info-container\"]]}"],["{\"selector\":\".site-main > div.widget_custom_html p[style^=\\\"text-align: center;\\\"]\",\"tasks\":[[\"has-text\",\"/annonssamarbete/i\"],[\"upward\",\"div.widget_custom_html\"]]}","{\"selector\":\".widget_media_image\",\"tasks\":[[\"has-text\",\"/annons/i\"]]}"],["{\"selector\":\".jet-listing-grid__item[data-post-id]\",\"tasks\":[[\"has-text\",\"/sponsrad artikel/i\"]]}"],["{\"selector\":\"article.post\",\"tasks\":[[\"has-text\",\"/annons från/i\"]]}"],["{\"selector\":\".uppercase\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",1]]}"],["{\"selector\":\"article\",\"tasks\":[[\"has-text\",\"/annons:/i\"]]}"],["{\"selector\":\"article.teaser h2.fsize-24\",\"tasks\":[[\"has-text\",\"/casino/i\"],[\"upward\",\".teaser\"]]}"],["{\"selector\":\".recent-posts-widget-with-thumbnails\",\"tasks\":[[\"has-text\",\"/annonssamarbete|annons/i\"]]}"],["{\"selector\":\".oj_ads_marker\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\":is(.adsbygoogle, a[href*=\\\"casino\\\"])\",\"tasks\":[[\"upward\",\".elementor-section\"]]}"],["{\"selector\":\"h5.font-medium\",\"tasks\":[[\"has-text\",\"Annons\"],[\"upward\",1]]}"],["{\"selector\":\".item-list__item\",\"tasks\":[[\"has-text\",\"/annons från/i\"]]}"],["{\"selector\":\"p[class^=\\\"pr-\\\"]\",\"tasks\":[[\"has-text\",\"Sponsrat\"],[\"upward\",\"div[class$=\\\"Container-root\\\"]\"]]}","{\"selector\":\"span[class^=\\\"pr-\\\"]\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",\"a\"]]}"],["{\"selector\":\".container.hasTopBanner\",\"action\":[\"remove-class\",\"hasTopBanner\"]}"],["{\"selector\":\"span[style=\\\"background-color: #FFFF00\\\"]\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",1]]}"],["{\"selector\":\"body[data-scroll-locked=\\\"1\\\"]\",\"action\":[\"remove-attr\",\"data-scroll-locked\"]}"],["{\"selector\":\"p.annons\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".td_block_wrap\",\"tasks\":[[\"has-text\",\"Annons\"]]}"],["{\"selector\":\"img[src*=\\\"/ads/\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".wp-show-posts-entry-summary\",\"tasks\":[[\"has-text\",\"/annons|reklam/i\"],[\"upward\",\".post\"]]}"],["{\"selector\":\".category-tag\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".ArticleListItem\"]]}"],["{\"selector\":\".elementor-top-section p\",\"tasks\":[[\"has-text\",\"/sponsr/i\"],[\"upward\",\".jet-listing-grid__item\"]]}"],["{\"selector\":\"a[target=\\\"_blank\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"a[target=\\\"_blank\\\"][rel=\\\"nofollow\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".block-title\",\"tasks\":[[\"has-text\",\"Våra annonsörer och partners\"],[\"upward\",1]]}","{\"selector\":\".sidebar-widget > .textwidget strong\",\"tasks\":[[\"has-text\",\"casino\"],[\"upward\",\"li.sidebar-widget\"]]}"],["{\"selector\":\":is(.sjofa-top-takeover, .sjofa-artikel-pano)\",\"tasks\":[[\"upward\",\"section\"]]}"],["{\"selector\":\"center > small\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",\"div[class*=\\\"cc-hide-on\\\"]\"]]}"],["{\"selector\":\".MuiChip-label\",\"tasks\":[[\"has-text\",\"Sponsrat\"],[\"upward\",\"article\"]]}","{\"selector\":\"div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".view-header > h3\",\"tasks\":[[\"has-text\",\"/annonser/i\"],[\"upward\",\".view-nya-lankar-front\"]]}"],["{\"selector\":\"a[href*=\\\"casino\\\"]\",\"tasks\":[[\"upward\",\".mh-posts-stacked-wrap\"]]}","{\"selector\":\"li.mh-slider-item:has(a[href*=\\\"casino\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".container\",\"tasks\":[[\"has-text\",\"Senaste nyheterna om spelbolag:\"]]}","{\"selector\":\"div.section-body-plus\",\"tasks\":[[\"has-text\",\"/bonus|casino/i\"]]}"],["{\"selector\":\".progams-list-xs .text-center:has(.banner)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body.freeze-scroll\",\"action\":[\"remove-class\",\"freeze-scroll\"]}"],["{\"selector\":\".label-sponsor\",\"tasks\":[[\"upward\",\".panel\"]]}"],["{\"selector\":\"legend\",\"tasks\":[[\"has-text\",\"Annons\"]]}"],["{\"selector\":\"block-3x3-news-widget\",\"tasks\":[[\"has-text\",\"Sponsrat innehåll\"]]}"],["{\"selector\":\".cd-card-bar\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".cd-sidebar-item, .cd-news-card\"]]}"],["{\"selector\":\".bbSize\",\"tasks\":[[\"has-text\",\"Sponsormeddelande\"],[\"upward\",\".bbRelatedBox\"]]}","{\"selector\":\"div[class^=\\\"card-info\\\"]\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\".card\"]]}"],["{\"selector\":\".mostReadMobile\",\"tasks\":[[\"has-text\",\"/annons/i\"]]}","{\"selector\":\"a[target=\\\"_blank\\\"]\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\"li.Notice\"]]}"],["{\"selector\":\".label\",\"tasks\":[[\"has-text\",\"/samarbete|annons|reklam|presenteras av/i\"],[\"upward\",\"a\"]]}","{\"selector\":\"[onclick^=\\\"ga(\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\".pill\",\"tasks\":[[\"has-text\",\"/spons/i\"],[\"upward\",\".grid-item, .pinned, .articleFlow-item\"]]}"],["{\"selector\":\".ra-widget-article-tag\",\"tasks\":[[\"has-text\",\"/partner/i\"],[\"upward\",\".ra-widget-panel\"]]}"],["{\"selector\":\"p.uppercase\",\"tasks\":[[\"has-text\",\"/i annonssamarbete med/i\"],[\"upward\",\".flex.overflow-hidden\"]]}"],["{\"selector\":\"html.sv-no-touch\",\"action\":[\"remove-class\",\"sv-no-touch\"]}"],["{\"selector\":\"body.cli-barmodal-open\",\"action\":[\"remove-class\",\"cli-barmodal-open\"]}"],["{\"selector\":\"h2.elementor-heading-title\",\"tasks\":[[\"has-text\",\"/annons/i\"],[\"upward\",\".e-con-boxed[data-settings^=\\\"{\\\\\\\"background\\\"]\"]]}"],["{\"selector\":\"[class*=\\\"tot-content-preview-container\\\"]:has(a[href*=\\\"casino\\\"], a[href*=\\\"kasino\\\"], a[href*=\\\"betting\\\"], a[href*=\\\"spel\\\"], .sponsoredarticles)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div.text-\\\\[8px\\\\].text-center\",\"tasks\":[[\"has-text\",\"ANNONS\"],[\"upward\",1]]}"],["{\"selector\":\"#root div[id]:not([id^=\\\"checkout\\\"]):empty\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"main div[id]:not([id^=\\\"checkout\\\"]):empty\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"a[href=\\\"\\\"].uppercase\",\"tasks\":[[\"has-text\",\"REKLAM\"],[\"upward\",\".popular-post\"]]}"],["{\"selector\":\"a[target=\\\"_blank\\\"] button[aria-labelledby] span\",\"tasks\":[[\"has-text\",\"/Sponsrat av|i samarbete med/i\"],[\"upward\",\"a\"]]}"],["{\"selector\":\"#tv-schedule section\",\"tasks\":[[\"has-text\",\"ANNONS\"]]}","{\"selector\":\"body.takeover-loading\",\"action\":[\"remove-class\",\"takeover-loading\"]}"],["{\"selector\":\".jet-listing-dynamic-field__content\",\"tasks\":[[\"has-text\",\"/annonssamarbete|reklamsamarbete/i\"],[\"upward\",\".jet-listing-grid__item\"]]}"],["{\"selector\":\".betart-marker\",\"tasks\":[[\"matches-css\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":[\"Annons\",\"i\"]}],[\"upward\",\".documentpush-group\"]]}"],["{\"selector\":\"html.has-intro-popup\",\"action\":[\"remove-class\",\"has-intro-popup\"]}","{\"selector\":\"html.show-intro-popup\",\"action\":[\"remove-class\",\"show-intro-popup\"]}"],["{\"selector\":\"a[target]\",\"tasks\":[[\"upward\",\".frontlinks tr\"]]}"],["{\"selector\":\"a[href*=\\\"/casino\\\"]\",\"tasks\":[[\"upward\",\".wp-block-image\"]]}"],["{\"selector\":\".td-block-title span\",\"tasks\":[[\"has-text\",\"/sponsr/i\"],[\"upward\",3]]}"],["{\"selector\":\".leftinfo\",\"tasks\":[[\"has-text\",\"/Externa artiklar:|Länktips:/\"]]}"],["{\"selector\":\".sidebox\",\"tasks\":[[\"has-text\",\"/Externa länkar|Artiklar/\"]]}"],["{\"selector\":\".fusion-text\",\"tasks\":[[\"has-text\",\"Online casino\"]]}"],["{\"selector\":\".card-header\",\"tasks\":[[\"has-text\",\"Annons\"],[\"upward\",\".card\"]]}"],["{\"selector\":\"span.arialtext11[style^=\\\"float:left\\\"]\",\"tasks\":[[\"has-text\",\"/^i samarbete med/i\"],[\"upward\",2]]}"],["{\"selector\":\"span[id^=\\\"ezoic-pub-ad\\\"]\",\"tasks\":[[\"upward\",\".row\"]]}"]];
const argsSeqs = [0,1,2,3,-3,39,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,40,41,42,43,44,45,46,47,48,49,50,51,52,53,54,55,56,57,58,59,60,61,62,63,64,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,-123,124,124,125,126,127,128,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,161,162,163,164,165,166,167,168,169,170,171,172,173,174,175,176,177,178,179,180,181,182,183];
const hostnamesMap = new Map([["99.teknikveckan.se",1],["aftonbladet.se",2],["allas.se",3],["elle.se",4],["femina.se",3],["hant.se",3],["mabra.com",3],["residencemagazine.se",3],["svenskdam.se",3],["motherhood.se",3],["amelia.expressen.se",6],["arbetaren.se",7],["aurumforum.se",8],["autonytt.se",9],["bandyfeber.com",10],["baraenkakatill.se",11],["bilresaieuropa.se",12],["bioenergitidningen.se",13],["kvalitetsmagasinet.se",13],["miljo-utveckling.se",13],["techtidningen.se",13],["vdtidningen.se",13],["boneo.se",14],["booli.se",15],["borskollen.se",16],["borsvarlden.com",17],["branschaktuellt.se",18],["bulletin.nu",19],["businesstories.se",20],["butikstrender.se",21],["byggahus.se",22],["byggipedia.se",23],["campingsverige.se",24],["conpot.se",25],["dagenslogistik.se",26],["dagensps.se",27],["news55.se",27],["realtid.se",27],["dagenstech.se",28],["dagenstv.com",29],["daisybeauty.com",30],["datormagazin.se",31],["densistavilan.se",32],["dh.se",33],["digitalavykort.se",34],["discoveringtheplanet.com",35],["djungeltrumman.se",36],["dn.se",37],["di.se",37],["dust2.se",38],["ehandel.se",39],["elbilen.se",40],["esportare.se",41],["evergreengarden.se",42],["everysport.com",43],["expo.se",44],["expressen.se",45],["feber.se",46],["tjock.se",46],["filatelisten.se",47],["filmtipset.se",48],["finanstid.se",49],["firstclassmagazine.se",50],["fl-net.se",51],["foretagsverige.se",52],["forskningsverige.se",52],["motorbibeln.se",52],["hallbarhetsverige.se",52],["tillvaxtsverige.se",52],["grillbibeln.se",52],["kampenmotcancer.se",52],["folkhalsasverige.se",52],["forstasidorna.se",53],["forvaltarforum.se",54],["fotbollskanalen.se",55],["fotbolltransfers.com",56],["fotboll.com",57],["fragbite.se",58],["freeride.se",59],["fria.nu",60],["stockholmsfria.se",60],["temperatur.nu",60],["frihetsnytt.se",61],["futsalmagasinet.se",62],["fz.se",63],["gamereactor.se",64],["gasetten.se",65],["fotbollsthlm.se",65],["godare.se",66],["goteborgfilmfestival.se",67],["gynning.net",68],["happypancake.se",69],["happyride.se",70],["hejaolika.se",71],["hejauppsala.com",72],["helahisingen.se",73],["hemnet.se",74],["hitta.se",75],["hockeybladet.nu",76],["hockeynews.se",77],["horisontmagasin.se",78],["husbilskompisar.se",79],["husvagn.se",80],["husbil.se",80],["ibnytt.se",81],["indien.nu",82],["innovationslandet.se",83],["inredningsarkitektur.se",84],["investeramera.se",85],["it-finans.se",86],["it-halsa.se",86],["it-kanalen.se",86],["it-pedagogen.se",86],["it-retail.se",86],["it-hallbarhet.se",86],["jarnvagar.nu",87],["javligtgott.se",88],["kandisvarlden.com",89],["karlskogavaxer.se",90],["karriarlakare.se",91],["kiacarclub.se",92],["killsteal.se",93],["kingmagazine.se",94],["klart.se",95],["kokaihop.se",96],["kritiker.se",97],["krogen.se",98],["lajvo.se",99],["linux.se",100],["listor.se",101],["livinguppsala.se",102],["livsmedelsnyheter.se",103],["ljuskultur.se",104],["lokalfotboll.se",105],["lokalti.se",106],["magazin24.se",107],["marknadschefer.se",108],["matinspo.se",109],["matspar.se",110],["medibok.se",111],["metalcentral.net",112],["minimalisterna.se",113],["modernalivet.se",114],["mygatemagazine.se",115],["mykitchenstories.se",116],["naringslivetvgl.se",117],["dalarnasaffarer.se",117],["stockholmsaffarer.se",117],["jamtlandsaffarer.se",117],["hallandsnaringsliv.se",117],["sjuharadsnaringsliv.se",117],["ng.se",118],["nordfront.se",119],["nordichardware.se",120],["nyadagbladet.se",121],["nyemissioner.se",122],["nyfiknainvesterare.se",123],["nyheter24.se",124],["alltforforaldrar.se",126],["modette.se",126],["devote.se",126],["familjeliv.se",126],["brollopstorget.se",126],["blogg.se",126],["rodeo.net",126],["vimedbarn.se",126],["loppi.se",126],["nyheteridag.se",127],["nyheter.swebbtv.se",128],["orkesterjournalen.com",129],["oskarshamns-nytt.se",130],["placera.se",131],["podtail.se",132],["pricerunner.se",133],["proshop.se",134],["psykoterapicentrum.se",135],["qasa.se",136],["sailguide.com",137],["samfalligheterna.se",138],["samnytt.se",139],["samnytt.nu",139],["sanghafte.se",140],["shortcut.se",141],["signprint.se",142],["siljannews.se",143],["siljanskok.se",144],["sillyseason.se",145],["sjofart.ax",146],["skaneplus.se",147],["skidspar.se",148],["so-rummet.se",149],["spelochfilm.se",150],["sportbloggare.com",151],["sporttv.nu",152],["storyhouseegmont.se",153],["svampguiden.com",154],["svenskamagasinet.nu",155],["svenskverkstad.se",156],["sverigespringer.se",157],["sweclockers.com",158],["swedroid.se",159],["tekniknytt.se",160],["teknikveckan.se",161],["thelocal.se",162],["tidningenbalans.se",163],["tidningencurie.se",164],["tidningenridsport.se",165],["tlnt.se",166],["totallyorebro.se",167],["totallystockholm.se",167],["travnet.se",168],["travrondenspel.se",169],["travronden.se",170],["trendenser.se",171],["tripadvisor.se",172],["tv.nu",173],["underbaraclaras.se",174],["utsidan.se",175],["vadvivet.se",176],["varmepumpsforum.com",177],["veckorevyn.com",178],["villalivet.se",179],["viseniorer.se",180],["vmj.se",181],["vm-fotboll.se",182],["voodoofilm.org",183],["vovve.net",184],["xn--gtboken-exa.se",185]]);
const hasEntities = false;

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, argsSeqs, hostnamesMap, hasEntities });

/******************************************************************************/

})();

/******************************************************************************/
