/*******************************************************************************

    uBlock Origin Lite - a comprehensive, MV3-compliant content blocker
    Copyright (C) 2014-present Raymond Hill

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see {http://www.gnu.org/licenses/}.

    Home: https://github.com/gorhill/uBlock
*/

// ruleset: ublock-filters

// Important!
// Isolate from global scope
(function uBOL_cssProceduralImport() {

/******************************************************************************/

const argsList = ["",["{\"selector\":\"div[class=\\\"alert alert-info m-0 p-0\\\"]\",\"tasks\":[[\"has-text\",\"/uBlock|AdGuard|advertisments/i\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/popunder|\\\\(\\\\)\\\\{try\\\\{localStorage\\\\[/\"]]}"],["{\"selector\":\"html\",\"action\":[\"style\",\"filter: opacity(0) !important; pointer-events: none !important;\"],\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"has\",{\"selector\":\"> head > style:only-child\",\"tasks\":[[\"has-text\",\"width:399px;height:411px\"]]}]]}]]}"],["{\"selector\":\"aside[class^=\\\"css-\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"> p\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"spath\",\" + ins.adsbygoogle\"]]}]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"~/shop\"],[\"spath\",\" a[href*=\\\"/aclick?\\\"]:not(.vsp_ads)\"]]}","{\"selector\":\".b_restorableLink\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"ol#b_results > li.b_algo\",\"tasks\":[[\"has\",{\"selector\":\".b_lineclamp3\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^url\\\\(\\\\Sdata:image\\\\/png;base64,iVBORw0KGgoAAAANSUhEUgAAAD.AAAA\"}]]}]]}"],["{\"selector\":\".Page-header-leaderboardAd\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"html[data-header-hasleaderboard]\",\"action\":[\"remove-attr\",\"data-header-hasleaderboard\"]}"],["{\"selector\":\"li.s-item\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"SPONSORED\"]]}]]}"],["{\"selector\":\".amp-animate\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"a[target][href^=\\\"https://x.chip.de/\\\"]\",\"tasks\":[[\"upward\",\"div[id]\"]]}"],["{\"selector\":\".branding\",\"tasks\":[[\"upward\",\"[target=\\\"_blank\\\"]\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"KeenTracking\"]]}"],["{\"selector\":\"html > head > link[rel=\\\"canonical\\\"]:not([href*=\\\"/recipes/\\\"])\",\"tasks\":[[\"upward\",2],[\"spath\",\" script\"],[\"has-text\",\"googletagmanager\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"===\"],[\"has-text\",\"/[\\\\w\\\\W]{16000}/\"]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}"],["{\"selector\":\"article[role=\\\"presentation\\\"] > div[style]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/Anzeige|Gesponsert|Sponsored|Geborg|Sponzorováno|Sponsoreret|Χορηγούμενη|Publicidad|Sponsoroitu|Sponsorisé|Bersponsor|Sponsorizzato|広告|광고|Ditaja|Sponset|Gesponsord|Sponsorowane|Patrocinado|Реклама|Sponsrad|ได้รับการสนับสนุน|May Sponsor|Sponsorlu|赞助内容|贊助|প্রযোজিত|પ્રાયોજિત|स्पॉन्सर्ड|Sponzorirano|ಪ್ರಾಯೋಜಿತ|സ്‌പോൺസർ ചെയ്‌തത്|पुरस्‍कृत|प्रायोजित|ਪ੍ਰਾਯੋਜਿਤ|මුදල් ගෙවා ප්‍රචාරය කරන ලදි|Sponzorované|விளம்பரதாரர்கள்|స్పాన్సర్ చేసింది|Được tài trợ|Спонсорирано|Commandité|Sponsorizat|Спонзорисано/\"]]}]]}","{\"selector\":\"div[style=\\\"max-height: inherit; max-width: inherit;\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Paid partnership with \"]]}]]}"],["{\"selector\":\"div[id] > .dfp-ad-unit\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".body--onPlayer--ads\",\"action\":[\"remove-class\",\"body--onPlayer--ads\"]}"],["{\"selector\":\"html > body:not(.catalogsearch-result-index)\",\"tasks\":[[\"upward\",1],[\"spath\",\" > head > script\"],[\"has-text\",\"googletagmanager\"]]}"],["{\"selector\":\"body:not(:has(#remixd-audio-player)) > script\",\"tasks\":[[\"has-text\",\"googletagmanager\"]]}"],["{\"selector\":\"html:not(:has(video)) > head > script\",\"tasks\":[[\"has-text\",\"connatix.com\"]]}"],["{\"selector\":\"html > head > script\",\"tasks\":[[\"has-text\",\"connatix.id\"],[\"upward\",1],[\"spath\",\" > script\"],[\"has-text\",\"window.cnx\"]]}"],["{\"selector\":\"html > head > link[rel=\\\"canonical\\\"]:not([href*=\\\"/video/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script[src*=\\\"connatix\\\"]\"]]}"],["{\"selector\":\"html:not(:has([class^=\\\"Dailymotion__Wrapper\\\"])) > head > script\",\"tasks\":[[\"has-text\",\"gptScript\"]]}"],["{\"selector\":\"html > head > meta[property=\\\"og:url\\\"]:not([content*=\\\"/games/\\\"], [content*=\\\"/play/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script\"],[\"has-text\",\"wgplayer\"]]}"],["{\"selector\":\"#index-games\",\"tasks\":[[\"upward\",\"html\"],[\"spath\",\" > head > script\"],[\"has-text\",\"wgplayer\"]]}"],["{\"selector\":\".st-hidden\",\"action\":[\"remove-class\",\"st-hidden\"]}"],["{\"selector\":\".ad-banner\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".nonAppView > div div[class]:not([id]) > div[id^=\\\"div-gpt-ad\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"[onclick] .btxt\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}","{\"selector\":\"[onclick] h5\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}","{\"selector\":\"[onclick] p\",\"tasks\":[[\"has-text\",\"/Ad/\"],[\"xpath\",\"../../..\"]]}","{\"selector\":\"div\",\"tasks\":[[\"matches-css\",{\"name\":\"background-image\",\"value\":\"colombia_\"}],[\"xpath\",\"../..\"]]}","{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/Promoted/\"],[\"spath\",\" + div\"]]}","{\"selector\":\"p\",\"tasks\":[[\"matches-css\",{\"name\":\"background-image\",\"value\":\"colombia-icon\"}],[\"xpath\",\"../..\"]]}"],["{\"selector\":\"link[rel=\\\"canonical\\\"]:not([href*=\\\"pageconfig=contactus\\\"])\",\"tasks\":[[\"upward\",\"html\"],[\"spath\",\" script.optanon-category-C0001\"]]}"],["{\"selector\":\"body[style*=\\\"display: none\\\"]\",\"action\":[\"remove-attr\",\"style\"]}"],["{\"selector\":\".base-asset-video\",\"action\":[\"remove-class\",\"base-asset-video\"]}"],["{\"selector\":\"community-highlight-card[subreddit-prefixed-name=\\\"r/uBlockOrigin\\\"][src]\",\"action\":[\"remove-attr\",\"src\"]}"],["{\"selector\":\"html:has(> head > :is(meta[name=\\\"subscriber_only\\\"][content=\\\"false\\\"], meta[property=\\\"og:url\\\"]:not([content*=\\\".html\\\"]))) script\",\"tasks\":[[\"has-text\",\"/googletagmanager|window\\\\.sophi/\"]]}"],["{\"selector\":\"[onclick$=\\\"return !ga.loaded;\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\".section-advert-banner--top\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#fluid_video_wrapper_video-page-player\",\"action\":[\"remove-attr\",\"style\"]}"],["{\"selector\":\".ytlr-horizontal-list-renderer__items > .yt-virtual-list__container > .yt-virtual-list__item--visible.yt-virtual-list__item--selected.yt-virtual-list__item\",\"tasks\":[[\"has-text\",\"Ad\"]]}"],["{\"selector\":\"strong\",\"tasks\":[[\"has-text\",\"/anzeige/i\"]]}"],["{\"selector\":\".active > ul > li\",\"tasks\":[[\"has-text\",\"Ad:\"]]}","{\"selector\":\"div h2\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Sponsored\"}]]}],[\"spath\",\" + div\"]]}","{\"selector\":\"div h2\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Sponsored\"}]]}]]}"],["{\"selector\":\"[onclick] p\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Ad \"}],[\"xpath\",\"../..\"],[\"not\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/MAHA/i\"]]}],[\"not\",{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/Times/i\"]]}]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//span[(text()='Ad')]/../../..\"]]}"],["{\"selector\":\"H2\",\"tasks\":[[\"has-text\",\"/Promoted/\"],[\"spath\",\" + DIV\"]]}"],["{\"selector\":\"h2\",\"tasks\":[[\"has-text\",\"/Promoted/\"]]}"],["{\"selector\":\".brand_ctn\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../..\"]]}","{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../../..\"]]}","{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/Ad:/\"],[\"xpath\",\"../..\"]]}"],["{\"selector\":\".banner\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"[id^=\\\"ad\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"[id^=\\\"banner-300x250\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-path\",\"/^\\\\/(\\\\?[a-z]+=\\\\w+)?$/\"],[\"spath\",\" div[aria-posinset] :is(h3, h4) span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{290,}/\"}],[\"upward\",\"div[aria-posinset]\"]]}","{\"selector\":\"\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-path\",\"/search/\"],[\"spath\",\" div[role=\\\"article\\\"] span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{265,}/\"}],[\"upward\",\"[role=\\\"article\\\"]\"]]}","{\"selector\":\"#stream_pagelet div[id^=\\\"hyperfeed_story_id_\\\"]\",\"tasks\":[[\"if\",{\"selector\":\"h6\",\"tasks\":[[\"has-text\",\"People You May Know\"]]}]]}","{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] [class] > a[href*=\\\"utm_source=facebook\\\"] span[class] > span[class][style*=\\\"-webkit-line-clamp\\\"]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"has-text\",\"広告\"],[\"upward\",\"div:not([class]) > div:not([class])\"]]}","{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] span[class] > a span[aria-labelledby]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^S$/\"]]}],[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^p$/\"]]}],[\"has\",{\"selector\":\"> span[style=\\\"display: flex;\\\"] > span[class]\",\"tasks\":[[\"has-text\",\"/^d$/\"]]}],[\"upward\",\"div:not([class]) > div:not([class])\"]]}","{\"selector\":\"#watch_feed div:not([class]) > div:not([class]) div[class] span[class] > a[aria-label=\\\"広告\\\"]\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"upward\",\"div:not([class]) > div:not([class])\"]]}","{\"selector\":\".ego_column\",\"tasks\":[[\"if\",\"a[href^=\\\"/campaign/landing\\\"]\"]]}","{\"selector\":\".ego_section\",\"tasks\":[[\"if\",\"a[href^=\\\"/ad_campaign\\\"]\"]]}","{\"selector\":\".pagelet-group .pagelet\",\"tasks\":[[\"has\",{\"selector\":\"a\",\"tasks\":[[\"has-text\",\"/Sponsored|Create ad|Crear un anuncio|Publicidad/\"]]}]]}","{\"selector\":\".userContentWrapper > div div > span > span\",\"tasks\":[[\"has-text\",\"/^Suggested Post$/\"]]}","{\"selector\":\"div[aria-describedby]:not([aria-posinset]) :is(h3, h4) span > a[href]:not([href^=\\\"/groups/\\\"]):not([href*=\\\"section_header_type\\\"])\",\"action\":[\"style\",\"height: 0 !important; overflow: hidden !important;\"],\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/__cft__\\\\[0\\\\]=[-\\\\w]{290,}/\"}],[\"upward\",\"div[aria-describedby]\"]]}","{\"selector\":\"div[id^=\\\"hyperfeed_story_id_\\\"]\",\"tasks\":[[\"has\",{\"selector\":\"div > span:has(abbr .timestampContent)\",\"tasks\":[[\"matches-css\",{\"name\":\"display\",\"value\":\"^none$\"}]]}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"runCount\"]]}"],["{\"selector\":\".a-carousel-card:has(> div > div[cel_widget_id^=\\\"adplacements:\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".iba-acceptable\",\"tasks\":[[\"has-text\",\"/Anzeige|Info/\"]]}"],["{\"selector\":\".list-articles > li\",\"tasks\":[[\"has\",{\"selector\":\".icon-addy\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^\\\"Anzeige\\\"$\"}]]}]]}","{\"selector\":\".sp-article\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":[\"Anzeige\",\"i\"]}]]}]]}","{\"selector\":\"[data-article-id]\",\"tasks\":[[\"has\",{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ANZEIGE\"}]]}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":[\"Anzeige\",\"i\"]}]]}"],["{\"selector\":\".FeedStory.feed_item > div > div\",\"tasks\":[[\"has-text\",\"/by Quora for Business/i\"]]}","{\"selector\":\".Toggle.SimpleToggle.ToggleAnswerFooterWrapper > div\",\"tasks\":[[\"has-text\",\"/Promoted/i\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"AaDetector\"]]}"],["{\"selector\":\".leftCol > div [data-link-tracking-page=\\\"Widget\\\"]\",\"tasks\":[[\"upward\",\".leftCol > div\"]]}","{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/[a-zA-Z0-9]{100,}/\"}]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"Sponsored\\\")]\"],[\"upward\",2]]}"],["{\"selector\":\"[class]:not(body):not(html)\",\"tasks\":[[\"has-text\",\"/Protect your privacy/i\"]]}","{\"selector\":\"[class]:not(body):not(html)\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//strong[contains(text(),\\\"VPN\\\")]/../../..\"]]}"],["{\"selector\":\"div[id][style=\\\"width: 728px; height: 90px;\\\"]\",\"tasks\":[[\"upward\",\"#pub1\"]]}"],["{\"selector\":\".uppercase\",\"tasks\":[[\"has-text\",\"/advertisement/i\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[starts-with(@id, \\\"dfp-ad\\\")]/../..\"]]}"],["{\"selector\":\".btn-danger\",\"tasks\":[[\"has-text\",\"/download/i\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"\\\\'shift\\\\'\"]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"shift\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"admc\"]]}"],["{\"selector\":\".container > [class]\",\"tasks\":[[\"has-text\",\"VPN\"]]}","{\"selector\":\".title ~ a[href] .button\",\"tasks\":[[\"upward\",\".container > div\"]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"document.write\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"self == top\"]]}"],["{\"selector\":\"center\",\"tasks\":[[\"has-text\",\"deal\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"Hide your IP\\\")]/..\"]]}","{\"selector\":\"ul > li\",\"tasks\":[[\"has-text\",\"/‌/i\"]]}"],["{\"selector\":\"#alphabet, #channels, #divx-container, #hmenu, #inform, #nowlooking, #playerCamBox, #playerMenu, #qcat, #showPlayer, #tabel_tagslist, #video_content, #web_cam, .BaseRoomContents, .buttons, .carouselTopScroll, .carusel-keys-box-ps, .footerdesc, .in_top, .load_more_rel, .mainBoxTitle, .pagIno, .playerContent100pr, .relatedVideo, .right-160px, .videos-related, footer, header, [href^=\\\"/webcams.php\\\"]\",\"tasks\":[[\"others\",\"\"]]}","{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"/-h?ref/\",\"value\":\"\"}]]}","{\"selector\":\"a\",\"tasks\":[[\"matches-attr\",{\"attr\":\"/^on/\",\"value\":\"/event/\"}]]}"],["{\"selector\":\"#vidPlayer span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".content\",\"tasks\":[[\"has\",{\"selector\":\"> div\",\"tasks\":[[\"has-text\",\"Branded Content\"]]}]]}"],["{\"selector\":\".video\",\"tasks\":[[\"has\",{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Live\"]]}]]}","{\"selector\":\"[data-vid^=\\\"live-\\\"]\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"[href^=\\\"https://go.cam.feet9.com/\\\"]\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\"[onclick*=\\\"banner\\\"]\",\"tasks\":[[\"upward\",\".video\"]]}"],["{\"selector\":\"div[class^=\\\"span\\\"] > div.box\",\"tasks\":[[\"has\",{\"selector\":\"> .title > div\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"exdynsrv\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"3f87b0eaddd\"]]}"],["{\"selector\":\".clearfix.branding > .surftipp\",\"tasks\":[[\"has-text\",\"Anzeige\"]]}"],["{\"selector\":\".page-wrap > section\",\"tasks\":[[\"has-text\",\"Download the free\"]]}"],["{\"selector\":\"[data-testid=\\\"trend\\\"]\",\"tasks\":[[\"has-text\",\"/Promoted|Gesponsert|Promocionado|Patrocinat|Sponsorisé|Sponsorizzato|Promowane|Promovido|Реклама|Uitgelicht|Sponsorlu|Promotert|Promoveret|Sponsrad|Mainostettu|Sponzorováno|Promovat|Ajánlott|Προωθημένο|Dipromosikan|Được quảng bá|推廣|推广|推薦|推荐|プロモーション|프로모션|ประชาสัมพันธ์|प्रचारित|বিজ্ঞাপিত|تشہیر شدہ|مُروَّج|تبلیغی|מקודם/\"],[\"upward\",1]]}","{\"selector\":\"div[style^=\\\"transform\\\"] h2 > div[style^=\\\"-webkit-line-clamp\\\"] > span\",\"tasks\":[[\"has-text\",\"/^(?:Promoted Post|Promowany Post|Post promovat|プロモポスト)$/\"],[\"upward\",3]]}"],["{\"selector\":\"[id^=\\\"div-gpt-ad\\\"]:not([class])\",\"tasks\":[[\"upward\",\"div[class]\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"wadsBlocking\"]]}"],["{\"selector\":\".InfoPcBolsaAdBlock\",\"tasks\":[[\"xpath\",\"..\"]]}"],["{\"selector\":\".adLinkBar\",\"tasks\":[[\"upward\",\"article[style=\\\"z-index: 1;\\\"]\"]]}","{\"selector\":\"[id^=\\\"t3\\\"].promotedlink\",\"tasks\":[[\"upward\",\".rpBJOHq2PR60pnwJlUyP0 > div\"]]}","{\"selector\":\"div[id*=\\\"sidebar\\\"][data-before-content=\\\"advertisement\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\".selected\",\"tasks\":[[\"has-text\",\"Ads\"]]}"],["{\"selector\":\".elementor-row\",\"tasks\":[[\"has-text\",\"[Anzeige]\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"FingerprintJS\"]]}"],["{\"selector\":\"table > tbody > tr\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".js-toggle-content-wrapper a[href^=\\\"/link/out/\\\"]\",\"tasks\":[[\"upward\",\".js-toggle-content-wrapper\"]]}"],["{\"selector\":\".row.divider\",\"tasks\":[[\"has-text\",\"/sponsor|press releases/i\"]]}","{\"selector\":\".widget\",\"tasks\":[[\"has-text\",\"/advert|sponsor/i\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"VPN\\\")]\"],[\"upward\",2]]}"],["{\"selector\":\"[href^=\\\"/plugout.php\\\"]\",\"tasks\":[[\"upward\",\"[class^=\\\"col-sm\\\"]\"]]}"],["{\"selector\":\".wpsafe-top > div > center\",\"tasks\":[[\"has-text\",\"Advertisements\"]]}"],["{\"selector\":\".les-title\",\"tasks\":[[\"has-text\",\"HD\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"axtd\"]]}"],["{\"selector\":\"form#go-popup\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".ad-wrapper\",\"tasks\":[[\"upward\",\"div.region-sidebar-first-wrapper\"]]}"],["{\"selector\":\"[href]\",\"tasks\":[[\"has-text\",\"PLAY\"]]}"],["{\"selector\":\"div.border_radius\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".col-sm-4\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:has(> .adsbygoogle)\"}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"0x3\"]]}"],["{\"selector\":\".head\",\"tasks\":[[\"has-text\",\"Adv\"]]}","{\"selector\":\"tr\",\"tasks\":[[\"has-text\",\"VPN\"]]}"],["{\"selector\":\".postcontainer\",\"tasks\":[[\"has\",{\"selector\":\".usertitle\",\"tasks\":[[\"has-text\",\"Publicidade\"]]}]]}"],["{\"selector\":\".uk-card-secondary\",\"tasks\":[[\"has-text\",\"VPN\"]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"AD\"]]}"],["{\"selector\":\"body *\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"margin\",\"value\":\"auto\"}],[\"matches-css\",{\"name\":\"width\",\"value\":\"^[2-3]{1}[0-9]{2}(\\\\.[0-9]+)?px$\"}],[\"matches-css\",{\"name\":\"height\",\"value\":\"^[2-3]{1}[0-9]{2}(\\\\.[0-9]+)?px$\"}],[\"matches-css\",{\"name\":\"display\",\"value\":\"block|table\"}]]}"],["{\"selector\":\"li\",\"tasks\":[[\"has\",{\"selector\":\".viewLink\",\"tasks\":[[\"has-text\",\"AD |\"]]}]]}"],["{\"selector\":\".widget-title\",\"tasks\":[[\"has-text\",\"Adv\"]]}"],["{\"selector\":\"#asg-inplayer-block\",\"tasks\":[[\"upward\",4]]}"],["{\"selector\":\"div.row\",\"tasks\":[[\"has-text\",\"in HD\"]]}","{\"selector\":\"table.movie_version\",\"tasks\":[[\"has-text\",\"Promo\"]]}"],["{\"selector\":\"h2.widget-title\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"div[id^=\\\"imCell_\\\"][class=\\\"\\\"]\",\"tasks\":[[\"has-text\",\"/Advertisement/i\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"toscr\\\\'\"]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"}(window);\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\",window\\\\);\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"(window);\"]]}"],["{\"selector\":\".widget_custom_html ins\",\"tasks\":[[\"upward\",\".widget_custom_html\"]]}"],["{\"selector\":\".ad-loading\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#adter\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".single-entry-titles\",\"tasks\":[[\"has-text\",\"Sponsor\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//div[contains(text(),\\\"Advert\\\")]\"]]}","{\"selector\":\".composite-branding.branding\",\"tasks\":[[\"has-text\",\"/sponsored/i\"],[\"xpath\",\"..\"]]}"],["{\"selector\":\"#jeocontainer > span\",\"tasks\":[[\"has-text\",\"Promoted\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"btoa\"]]}"],["{\"selector\":\"a.extern[href^=\\\"//www.amazon.de/\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".happy-player-beside, .happy-section, .widget_execphp\",\"tasks\":[[\"has-text\",\"/Advertisement|ExoLoader/\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//a[contains(text(),\\\"VPN\\\")]/../../..\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adb_detected\"]]}"],["{\"selector\":\"#player_img\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".links_table > .fix-table > table > tbody > tr\",\"tasks\":[[\"has-text\",\"Patrocinador\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/aclib|runPop/\"]]}"],["{\"selector\":\"li.uk-active\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".video-block-happy-absolute\",\"tasks\":[[\"upward\",\".order-1\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[(text()=\\\"AD\\\")]/..\"]]}","{\"selector\":\".w-100\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\"section > div\",\"tasks\":[[\"has-text\",\"/^AD$/\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"google_ad_client\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"window.adsbygoogle\"]]}"],["{\"selector\":\".banotset\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#wpsafe-generate, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".im_outer_x\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"myreadCookie/\"]]}"],["{\"selector\":\".advertising\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".banner\",\"tasks\":[[\"upward\",\".block\"]]}"],["{\"selector\":\"#player-container\",\"tasks\":[[\"has-text\",\"Close ad\"]]}"],["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",\".widget\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//span[contains(text(),\\\"Advert\\\")]/../..\"]]}","{\"selector\":\"td\",\"tasks\":[[\"has\",{\"selector\":\"> span[class]\",\"tasks\":[[\"has-text\",\"Advert\"]]}]]}"],["{\"selector\":\".active.dimmer.ui\",\"tasks\":[[\"has-text\",\"/Wait|Skip/i\"]]}"],["{\"selector\":\".panel-title\",\"tasks\":[[\"has-text\",\"REKLAM\"]]}","{\"selector\":\"div.col-xs-12\",\"tasks\":[[\"has-text\",\"MMPORG OYUNLAR\"]]}"],["{\"selector\":\".table-hover.table > tbody > tr\",\"tasks\":[[\"has-text\",\"Descargar Premium\"]]}"],["{\"selector\":\"noscript\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"Adblocker\"]]}"],["{\"selector\":\"a[href*=\\\".yabo816.\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"[id^=\\\"sidebar-stream-\\\"] > h4\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".title-section\",\"tasks\":[[\"has-text\",\"/adv/i\"]]}"],["{\"selector\":\"li.top-results__item span\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"li\"]]}"],["{\"selector\":\".wide_boxcontent\",\"tasks\":[[\"has-text\",\"/adb/i\"]]}"],["{\"selector\":\".ads-between-post\",\"tasks\":[[\"upward\",\".post-item\"]]}"],["{\"selector\":\".mobile-leaderboard-320-50\",\"tasks\":[[\"upward\",\"[style]\"]]}"],["{\"selector\":\".viewtable\",\"tasks\":[[\"has\",{\"selector\":\"> center\",\"tasks\":[[\"has-text\",\"▼ Scroll down to Continue ▼\"]]}],[\"spath\",\" > a[href][target=\\\"_blank\\\"]\"]]}"],["{\"selector\":\".js-toggle-content-wrapper a[href^=\\\"https://boyfriend.show/\\\"][rel=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",\".js-toggle-content-wrapper\"]]}"],["{\"selector\":\"a[onclick][target]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"div[class^=\\\"css-\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}","{\"selector\":\"div[id=\\\"__next\\\"] > div[class^=\\\"css-\\\"] > aside\",\"tasks\":[[\"has\",{\"selector\":\"> div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}]]}","{\"selector\":\"div[id=\\\"__next\\\"] > div[class^=\\\"css-\\\"] > div > section > div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}"],["{\"selector\":\"center\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#SmileyBanner\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"[onclick*=\\\"handleContinueClick\\\"], .step\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-link, .wpsafelink-multiple-pages\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"center, [src*=\\\"google.com/recaptcha/\\\"]\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".container > center\",\"tasks\":[[\"others\",\"\"]]}","{\"selector\":\".getlink, #getlink\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"form\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-link, #section2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#waiting, h4, #form, #popup-button\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#gotolink[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"#gotolink, #getlink, #notarobot\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#tp98, #jatinbtn-continue\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#btn6\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#btn6, #tp98\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#yuidea-snp, #btn6, #yuidea, #countdown\",\"tasks\":[[\"others\",\"\"]]}","{\"selector\":\"#yuidea-snp, #btn6, center, [src*=\\\"google.com/recaptcha\\\"]\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"h4, .get_btn\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#step, #next, #scroll, #glink, #countdown, #surl, #captcha-container, [src*=\\\"google.com/recaptcha/\\\"], [src*=\\\"recaptcha.net/recaptcha\\\"]\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#submitBtn, #go_d, #wolfexe-snp\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"htmls\"]]}"],["{\"selector\":\"#wpsafelinkhuman, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#pro-continue, #pro-btn, #my-btn\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#my-btn, #my-btn2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#gourl\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#link\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"div#wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-wait1, #wpsafe-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#landing, .soractrl\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".kecil\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#btn2, #btn5, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#yuidea-snp\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"center, [src*=\\\"google.com/recaptcha/\\\"], #yuidea-snp\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#cross-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".g-recaptcha, #cross-verify-go, .captcha-check, [src*=\\\"google.com/recaptcha/\\\"]\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#btn11, #tp-snp2, #rtg, #btn6, #wpsafe-snp\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#tp98, #btn6\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#tp-snp2, #cross-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#rtg-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#tp-snp2, #cross-snp2, .tp-top\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#rtg-snp2, #rtg-snp21, [id^=\\\"Step\\\"]\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"div.step_box > h4, #rtg-snp-btn, #rtg-snp21\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#hometimerstartbtn, #hometimer, #yuidea-btmbtn, #btn6\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#notarobot, #gotolink\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"a[onclick*=\\\"adlink()\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\"a.get-link.disabled\",\"action\":[\"remove-class\",\"disabled\"]}"],["{\"selector\":\"#tp-snp2, .captcha-check\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#notarobot, #btn7\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#file\",\"action\":[\"remove-attr\",\"disabled\"]}","{\"selector\":\"#file\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#username[required]\",\"action\":[\"remove-attr\",\"required\"]}"],["{\"selector\":\"#tp982, #btn6\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#getnewlink, .wp2continuelink, .getmylink, #newtimer\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#link, #btn6, #yuidea-snp\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"#tp98, #btn6, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}","{\"selector\":\"#tp98[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\".text-primary.inline-block, button.text-primary\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#btn2, #tp-snp2\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"body\",\"action\":[\"remove-attr\",\"style\"]}"],["{\"selector\":\"#top_nav, .rd_btn, .soractrl, .large\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/AdbModel|showPopup/\"]]}"],["{\"selector\":\".btn-success, .btn-primary\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#my-btn, #pro-continue, #pro-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".circular-progress, button, b > p > span\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"form button[id], .box-main, .captcha-check\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#dlp, #dlndiv, #plzw, div:has(> .icon), nav\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-link, .text-center.wpsafe-top > div > h1\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#info-message\",\"tasks\":[[\"has-text\",\"ADBLOCK\"]]}","{\"selector\":\"span[style]\",\"tasks\":[[\"has\",{\"selector\":\"> span[style]\",\"tasks\":[[\"has-text\",\"ADVERTISEMENT\"]]}]]}"],["{\"selector\":\".linkcontain > button\",\"tasks\":[[\"has-text\",\"Download Link\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"detectAdBlock\"]]}"],["{\"selector\":\"#rtg-snp2, #rtg-snp21\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".captcha-check, #tp-snp2, #countdown\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".centered, [src*=\\\"iamnotrobot.png\\\"], #wpsafe-link, #wpsafelink-landing, #wpsafe-generate\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"===\"],[\"has-text\",\"/[\\\\w\\\\W]{14000}/\"]]}"],["{\"selector\":\".swiper-slide [data-testid=\\\"topStories-cardSlider-ad\\\"]\",\"tasks\":[[\"upward\",\".swiper-slide\"]]}"],["{\"selector\":\".page-video > div.video-videos-slider ~ div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"justify-content\",\"value\":\"^center$\"}]]}"],["{\"selector\":\"span:only-child\",\"tasks\":[[\"has-text\",\"/^AD$/\"],[\"upward\",2]]}"],["{\"selector\":\"h5\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".inside-list-boxes\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[class^=\\\"mikex\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".MuiGrid-item div[style^=\\\"position\\\"] > div\",\"tasks\":[[\"has-text\",\"Skip Ad\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"WebAssembly\"]]}"],["{\"selector\":\"iframe\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".item:has(a[href^=\\\"https://hive.arf.dev\\\"])\",\"tasks\":[[\"upward\",\"div[class]\"]]}"],["{\"selector\":\".img_box\",\"tasks\":[[\"has-text\",\"Anzeige\"]]}","{\"selector\":\"aside ins\",\"tasks\":[[\"upward\",\"aside\"]]}"],["{\"selector\":\"html > iframe[style^=\\\"display:\\\"]:not([src])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".block_area iframe\",\"tasks\":[[\"upward\",\".block_area\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"antiblock\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"onerror\"]]}"],["{\"selector\":\"[style^=\\\"font-weight\\\"]\",\"tasks\":[[\"has-text\",\"PREMIUM\"]]}"],["{\"selector\":\".post_simple\",\"tasks\":[[\"has\",{\"selector\":\".postsimple_pseudo\",\"tasks\":[[\"has-text\",\"/promo/i\"]]}]]}"],["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",\".row-container\"]]}"],["{\"selector\":\".placeholder\",\"action\":[\"remove-class\",\"placeholder\"]}"],["{\"selector\":\"#banner_overlay-postitial-video\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Adblock\"]]}"],["{\"selector\":\"p\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"a.download[target=\\\"_blank\\\"]:not(a[href*=\\\"ctrlv.\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".adsbox\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"detect\"]]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"[class*=\\\"css\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}","{\"selector\":\"[href*=\\\"redirect\\\"]\",\"tasks\":[[\"upward\",\"section\"]]}","{\"selector\":\"aside\",\"tasks\":[[\"has\",{\"selector\":\"div\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}]]}","{\"selector\":\"div[data-empty^=\\\"true\\\"]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ADVERTISEMENT\"}]]}"],["{\"selector\":\".cp-modal-popup-container\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div[class*=\\\"better-ads-listitemad\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".ad\",\"tasks\":[[\"upward\",\".horizontal-ads-content\"]]}"],["{\"selector\":\"section.ShopWidget\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}"],["{\"selector\":\"*\",\"tasks\":[[\"matches-css-after\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":[\"Advertisement\",\"i\"]}]]}"],["{\"selector\":\".code-block\",\"tasks\":[[\"has-text\",\"ADV\"]]}"],["{\"selector\":\"div[id] *\",\"tasks\":[[\"has\",{\"selector\":\"> a[href]\",\"tasks\":[[\"has-text\",\"/^Try (?:D.?V.?D.?F.?a.?b|StreamFab)/\"],[\"spath\",\" + a[href]\"]]}]]}"],["{\"selector\":\".css-adfhee\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"script\"]]}"],["{\"selector\":\"script[src$=\\\"ads.js\\\"]\",\"tasks\":[[\"upward\",\"section[id]\"]]}"],["{\"selector\":\"center > font[size=\\\"3\\\"][face=\\\"ARIAL\\\"]\",\"tasks\":[[\"has-text\",\"ADVERTISING\"],[\"upward\",\"td\"]]}"],["{\"selector\":\"#googletop\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"img[src$=\\\"/knewz_300x250.png\\\"]\",\"tasks\":[[\"upward\",\".widget_text\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"l.parentNode.insertBefore(s, l);\"]]}"],["{\"selector\":\"[href^=\\\"/click\\\"]\",\"action\":[\"remove-attr\",\"href\"]}","{\"selector\":\"div[id$=\\\"_frame_content\\\"][class=\\\"wide_boxcontent\\\"]\",\"tasks\":[[\"has-text\",\"Adblock\"]]}"],["{\"selector\":\".text-center\",\"tasks\":[[\"has-text\",\"Adv\"]]}"],["{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Advert\"]]}"],["{\"selector\":\"body > div\",\"tasks\":[[\"shadow\",\"div\"],[\"shadow\",\"div\"],[\"has\",{\"selector\":\"\",\"tasks\":[[\"shadow\",\"div:not([class])\"],[\"has\",{\"selector\":\"\",\"tasks\":[[\"shadow\",\"ins.adsbygoogle[data-ad-client]\"]]}]]}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"break;case\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/eval\\\\(.+?RegExp/\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"d.createElement('script')\"]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"d.createElement(\\\\'script\\\\')\"]]}"],["{\"selector\":\".leftMenu .menuHeadline\",\"tasks\":[[\"has-text\",\"3D\"]]}"],["{\"selector\":\"img[width=\\\"558\\\"][height=\\\"149\\\"]\",\"tasks\":[[\"upward\",\"td[style]\"]]}"],["{\"selector\":\".adsbyexoclick\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"[id]\",\"tasks\":[[\"matches-attr\",{\"attr\":\"id\",\"value\":\"/[a-zA-Z]{40,}/\"}]]}"],["{\"selector\":\"html > iframe[style=\\\"display: none;\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"u_cfg\"]]}"],["{\"selector\":\"div[pb-serve-label*=\\\"advert\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\".thumb div.ad\",\"tasks\":[[\"upward\",\".thumb\"]]}"],["{\"selector\":\"a > img + div[class]:last-of-type\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[sizes]\"]]}","{\"selector\":\"div[sizes] > span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[sizes]\"]]}"],["{\"selector\":\"div > .page > div > div[style]\",\"tasks\":[[\"has-text\",\"/^Advertise/i\"],[\"spath\",\" + a\"]]}"],["{\"selector\":\"[id^=\\\"Ad\\\"]\",\"tasks\":[[\"upward\",\"[style]\"]]}"],["{\"selector\":\"h1\",\"tasks\":[[\"has-text\",\"Ads\"]]}"],["{\"selector\":\".video-image > .track_outbound_post\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"[data-cg-ft=\\\"sponsored-listing-badge\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"0x\"]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Advertisements\"}]]}"],["{\"selector\":\"iframe\",\"tasks\":[[\"upward\",\"[style*=\\\"visibility\\\"]\"]]}"],["{\"selector\":\"script[language=\\\"javascript\\\"]\",\"tasks\":[[\"has-text\",\"open\"]]}"],["{\"selector\":\"#int-over\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"#intt-layer\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"a[href^=\\\"/visual/\\\"]\",\"tasks\":[[\"upward\",\".menu > div[id]\"]]}","{\"selector\":\"div\",\"tasks\":[[\"matches-css-after\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":\"Ads\"}]]}","{\"selector\":\"div[id*=\\\"myabandonware_leaderboard_btf_\\\"]\",\"tasks\":[[\"upward\",\"div[id]\"]]}","{\"selector\":\"div[id*=\\\"myabandonware_medrec_right_\\\"]\",\"tasks\":[[\"upward\",\"div[id]\"]]}","{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\"justify-content\"]]}"],["{\"selector\":\"[src^=\\\"https://spotlights-feed.github.com/spotlights/octoprint/\\\"]\",\"tasks\":[[\"upward\",\"article[class]\"]]}"],["{\"selector\":\"[id^=\\\"cookieConsent\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"debugger\"]]}"],["{\"selector\":\"main > div > div > div[class]\",\"tasks\":[[\"matches-css\",{\"name\":\"width\",\"value\":\"^350px$\"}]]}"],["{\"selector\":\"h1\",\"tasks\":[[\"has-text\",\"/adblock|supporter/\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/\\\\/posts/\"],[\"spath\",\" div[data-comment*=\\\"gab-ad\\\"]\"],[\"has\",{\"selector\":\"span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}]]}","{\"selector\":\"div[class] > span[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",5]]}"],["{\"selector\":\".adunitContainer\",\"tasks\":[[\"upward\",\"[data-qa-id]\"]]}"],["{\"selector\":\"header[role=\\\"banner\\\"] > div > a[href=\\\"/docs/en/relevantads\\\"]\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#wpsafe-time\",\"tasks\":[[\"upward\",\"[id^=\\\"wpsafe-wait\\\"]\"]]}"],["{\"selector\":\"div[style^=\\\"--row-gutter\\\"] > div a[href=\\\"/brands\\\"]\",\"tasks\":[[\"upward\",\"div[style^=\\\"--row-gutter\\\"] > div\"]]}"],["{\"selector\":\"[data-ref=\\\"saashub\\\"]\",\"tasks\":[[\"upward\",\"div.feed-item\"]]}"],["{\"selector\":\".left_shadow\",\"tasks\":[[\"has-text\",\"Fast\"]]}"],["{\"selector\":\".thleft\",\"tasks\":[[\"has-text\",\"Fast\"],[\"upward\",2]]}"],["{\"selector\":\".post.has-post-thumbnail video#gump\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",\".post\"]]}"],["{\"selector\":\"[id^=\\\"desig-\\\"]\",\"tasks\":[[\"has-text\",\"ANZEIGE\"]]}"],["{\"selector\":\".adsbygoogle\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".ad-removal-info\",\"tasks\":[[\"has-text\",\"ads\"],[\"upward\",\"[class]\"]]}"],["{\"selector\":\"#f13 > b\",\"tasks\":[[\"has-text\",\"Sponsor\"],[\"upward\",4]]}"],["{\"selector\":\"script[type]\",\"tasks\":[[\"has-text\",\"c=document.createElement\"]]}"],["{\"selector\":\"#clickfkplayer[href]\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\".safelink-recatpcha\",\"action\":[\"style\",\"display: block !important;\"],\"tasks\":[[\"upward\",\"div\"]]}"],["{\"selector\":\".g-recaptcha\",\"action\":[\"style\",\"display: block !important;\"],\"tasks\":[[\"upward\",\"form > div\"]]}"],["{\"selector\":\".text-center:not([id]) [id^=\\\"adngin-\\\"]\",\"tasks\":[[\"upward\",\".text-center:not([id])\"]]}"],["{\"selector\":\".widget a.gofollow\",\"tasks\":[[\"upward\",\".widget\"]]}"],["{\"selector\":\"button\",\"tasks\":[[\"has-text\",\"/Watch|🎟|👉/\"]]}"],["{\"selector\":\".ad-block-popup\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\".native-ad-item-panel\",\"tasks\":[[\"upward\",\".vertical-view__item\"]]}"],["{\"selector\":\"[id]\",\"tasks\":[[\"has-text\",\"Provider\"]]}"],["{\"selector\":\"a[href*=\\\"&epik=\\\"]\",\"tasks\":[[\"upward\",\"[data-grid-item]\"]]}"],["{\"selector\":\"[href*=\\\"3cx\\\"]\",\"tasks\":[[\"upward\",\"tbody\"]]}"],["{\"selector\":\"[src^=\\\"blob:https://autofaucet.dutchycorp.space/\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".headline.wrapper\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"spath\",\" + div\"]]}","{\"selector\":\".headline.wrapper\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\".video-info > section\",\"tasks\":[[\"has-text\",\"Adv\"]]}","{\"selector\":\"article > .headline\",\"tasks\":[[\"has-text\",\"Suggested\"],[\"spath\",\" + section\"]]}","{\"selector\":\"article > .headline\",\"tasks\":[[\"has-text\",\"Suggested\"]]}"],["{\"selector\":\".main-body > div > div[class]:not([class^=\\\"item\\\"]):not([class^=\\\"article\\\"])\",\"tasks\":[[\"has-text\",\"/^Sponsored ads$/\"]]}","{\"selector\":\"div[class*=\\\"article\\\"] > div:not([class]) > div[class]\",\"tasks\":[[\"has-text\",\"/^Sponsored ads$/\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Math.imul\"]]}"],["{\"selector\":\"div > [id$=\\\"_slot\\\"]\",\"tasks\":[[\"upward\",\"div\"]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[contains(text(),\\\"allow ads\\\")]\"],[\"upward\",3]]}"],["{\"selector\":\"p[style=\\\"font-size:12px; text-align:center;\\\"] > span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}","{\"selector\":\"section.wix-blog-hide-in-print p[style=\\\"font-size:12px; text-align:center;\\\"] > span\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"upward\",\"section\"]]}"],["{\"selector\":\"body.no-touch li.wt-list-unstyled div.v2-listing-card__info > div.wt-text-caption.wt-text-grey > span:not(.wt-icon):not([aria-role])\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-css\",{\"name\":\"display\",\"value\":\"^inline-block$\"}],[\"has-text\",\"/^Ad/i\"],[\"upward\",\"li\"]]}","{\"selector\":\"li:not(#ad-ubo) .listing-link[href*=\\\"ref=sc_gallery\\\"]\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\"[style][href]\",\"tasks\":[[\"upward\",\"[style]\"]]}"],["{\"selector\":\".adunitContainer\",\"tasks\":[[\"upward\",3]]}"],["{\"selector\":\"#nn_bfa_wrapper\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".sticky_rail600\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"decodeURIComponent\"]]}"],["{\"selector\":\".HTML.widget .adsbygoogle\",\"tasks\":[[\"upward\",\".widget\"]]}"],["{\"selector\":\"div[width=\\\"300\\\"][height=\\\"250\\\"]\",\"tasks\":[[\"upward\",1]]}","{\"selector\":\"div[width=\\\"728\\\"][height=\\\"90\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#clickfakeplayer[href]\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\".widget\",\"tasks\":[[\"has-text\",\"Adv\"]]}"],["{\"selector\":\"table\",\"tasks\":[[\"has-text\",\"VPN\"]]}"],["{\"selector\":\"body > p > span\",\"tasks\":[[\"has-text\",\"adblock\"]]}"],["{\"selector\":\"[id^=\\\"outbrain_widget_\\\"].OUTBRAIN[data-src]\",\"tasks\":[[\"has\",{\"selector\":\"> .ob-widget > .ob-widget-header > span.ob-grid-header-text\",\"tasks\":[[\"has-text\",\"/^MEHR AUS DEM WEB|MEHR AUS DEM NETZ|AUCH INTERESSANT$/\"]]}]]}"],["{\"selector\":\".search-page__result .listings-standout\",\"tasks\":[[\"upward\",\".search-page__result\"]]}","{\"selector\":\".searchResults .product-card__ad-copy\",\"tasks\":[[\"upward\",\"li\"]]}"],["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"D4zz.\"]]}"],["{\"selector\":\"#btm-widget img[onload]\",\"tasks\":[[\"upward\",\"#btm-widget > .colombiaonesuccess > div\"]]}"],["{\"selector\":\"img[onclick]\",\"action\":[\"style\",\"display: block !important\"],\"tasks\":[[\"upward\",\".wait\"]]}"],["{\"selector\":\".ssm_adunit_container\",\"tasks\":[[\"upward\",\"[id^=\\\"list_ads\\\"]\"]]}"],["{\"selector\":\".definetelynotanad\",\"tasks\":[[\"upward\",\"[class^=\\\"col-md-\\\"]\"]]}"],["{\"selector\":\".partner-banner\",\"tasks\":[[\"upward\",\"div[style]\"]]}"],["{\"selector\":\".mod-container\",\"tasks\":[[\"has-text\",\"/sponsor/i\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adslotFilledByCriteo\"]]}"],["{\"selector\":\"[href*=\\\"sjv.io\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"htmlAds\"]]}"],["{\"selector\":\".py-4 > p\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"upward\",1]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"googlesyndication\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/adblock/i\"]]}"],["{\"selector\":\".dfp-ad-unit\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"#screenshots span[style=\\\"width:222px\\\"] > a[href]\",\"action\":[\"remove-class\",\"/ad/i\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popMagic\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"\\\\\\\"admc\\\\\\\"\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"brave\"]]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"numberPages\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"afScript\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"BetterJsPop.add\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"chp_ads_blocker_detector\"]]}"],["{\"selector\":\"style[id$=\\\"-css\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"main > div div[style*=\\\"flex-direction: column;\\\"] > article > div\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child span\",\"tasks\":[[\"has-text\",\"/Anzeige|Gesponsert|Sponsored|Geborg|Maksettu kumppanuus|Sponzorováno|Sponsoreret|Χορηγούμενη|Publicidad|Sponsoroitu|Sponsorisé|Bersponsor|Sponsorizzato|広告|광고|Ditaja|Sponset|Gesponsord|Sponsorowane|Patrocinado|Реклама|Sponsrad|ได้รับการสนับสนุน|May Sponsor|Sponsorlu|赞助内容|贊助|প্রযোজিত|પ્રાયોજિત|स्पॉन्सर्ड|Sponzorirano|ಪ್ರಾಯೋಜಿತ|സ്‌പോൺസർ ചെയ്‌തത്|पुरस्‍कृत|प्रायोजित|ਪ੍ਰਾਯੋਜਿਤ|මුදල් ගෙවා ප්‍රචාරය කරන ලදි|Sponzorované|விளம்பரதாரர்கள்|స్పాన్సర్ చేసింది|Được tài trợ|Спонсорирано|Commandité|Sponsorizat|Спонзорисано/\"]]}]]}"],["{\"selector\":\"div[data-id] > div[data-tkid] > div[class]\",\"tasks\":[[\"has-text\",\"Sponsored\"],[\"upward\",\"div[data-id]\"]]}","{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"/^Ad$/\"],[\"upward\",\"div[style]\"]]}"],["{\"selector\":\"[class*=\\\"superbanner\\\"]\",\"tasks\":[[\"upward\",\"article > div:not(#main)\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popunder\"]]}"],["{\"selector\":\"#rightcolumn > .rbox > .rboxInner img[alt=\\\"Advertisement\\\"]\",\"tasks\":[[\"upward\",\".rbox\"]]}","{\"selector\":\".wallpaperSidebarAds\",\"tasks\":[[\"upward\",\"div\"]]}"],["{\"selector\":\"html\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"soft98\"],[\"spath\",\" html\"]]}"],["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=Banner/i\"],[\"spath\",\" html\"]]}"],["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=banner-kaprila/i\"],[\"spath\",\" html\"]]}"],["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_medium=adv/i\"],[\"spath\",\" html\"]]}"],["{\"selector\":\"\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"matches-path\",\"/utm_source=footer/i\"],[\"spath\",\" html\"]]}"],["{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"ads\"}]]}"],["{\"selector\":\"[data-profile-url-path^=\\\"/localservices\\\"]\",\"tasks\":[[\"has-text\",\"/google screened/i\"]]}"],["{\"selector\":\"[style]\",\"tasks\":[[\"has-text\",\"PREMIUM\"]]}"],["{\"selector\":\".adsbygoogle\",\"action\":[\"style\",\"min-height:11px!important;height:11px!important;opacity:0\"],\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div[id^=\\\"post-\\\"]\",\"action\":[\"remove-class\",\"hidden_share\"]}"],["{\"selector\":\".g-recaptcha, iframe[src*=\\\"google.com/recaptcha\\\"], .btn-captcha, .btn-black-outline\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"#wpsafe-snp1\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\".countdown, .get-link\",\"tasks\":[[\"others\",\"\"]]}"],["{\"selector\":\"[onclick^=\\\"showAd\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\"#dlcharts-list + div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"/Gesponsert|Bezahlte Empfehlung|Anzeige/\"],[\"spath\",\" + a[href^=\\\"https://www.chip.de/downloads/\\\"]\"]]}]]}","{\"selector\":\".fb > .Listing > div\",\"tasks\":[[\"has\",{\"selector\":\"> h2\",\"tasks\":[[\"has-text\",\"/Gesponsert|Bezahlte Empfehlung|Anzeige/\"],[\"spath\",\" + a[href^=\\\"https://www.chip.de/downloads/\\\"]\"]]}]]}"],["{\"selector\":\".a11t--product\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".main-content > h4 > strong\",\"tasks\":[[\"has-text\",\"Brave\"]]}"],["{\"selector\":\"[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Advertisement\"}],[\"upward\",1]]}"],["{\"selector\":\"div > ins\",\"tasks\":[[\"upward\",\"div\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"two_worker_data_js\"]]}"],["{\"selector\":\".spr > .container-fluid:not([data-autopromo-name=\\\"freepik\\\"])\",\"tasks\":[[\"upward\",\".spr\"]]}"],["{\"selector\":\"#shortGoToCont.hidden\",\"action\":[\"remove-class\",\"hidden\"]}"],["{\"selector\":\"article > [class^=\\\"tc-view\\\"] #ad-header\",\"tasks\":[[\"upward\",\"article > [class^=\\\"tc-view\\\"]\"]]}"],["{\"selector\":\"#customad\",\"tasks\":[[\"upward\",\".code-block\"]]}","{\"selector\":\".brxe-div > div[class=\\\"brxe-container\\\"] .adsbygoogle\",\"tasks\":[[\"upward\",\".brxe-container\"]]}","{\"selector\":\"section.brxe-section > div[class=\\\"brxe-container\\\"] .adsbygoogle\",\"tasks\":[[\"upward\",\"section\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/ConsoleBan|alert|AdBlocker/\"]]}"],["{\"selector\":\".banner-wrapper\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"upward\",2]]}","{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"Rek\"]]}","{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"Reklama\"]]}","{\"selector\":\".sticky-content\",\"tasks\":[[\"has-text\",\"klama\"]]}","{\"selector\":\"[data-draggable-target]\",\"tasks\":[[\"has-text\",\"Rekl\"],[\"spath\",\":not(*:has([href*=\\\"radio\\\"]))\"]]}"],["{\"selector\":\".content3 > div[style]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".ad-zone\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".container > .adsbygoogle\",\"tasks\":[[\"upward\",\".container\"]]}","{\"selector\":\".container > div > .adsbygoogle\",\"tasks\":[[\"upward\",\"div\"]]}"],["{\"selector\":\".channel-feed__brick .cfeed-card-contents--banner-adsense\",\"tasks\":[[\"upward\",\".channel-feed__brick\"]]}"],["{\"selector\":\".is-full .climad-badge\",\"tasks\":[[\"upward\",\".is-full\"]]}"],["{\"selector\":\"#ad-Billboard\",\"tasks\":[[\"upward\",\"[style]\"]]}"],["{\"selector\":\"[data-stack-index] > section > div > div [data-item-id] > a[link-identifier][href^=\\\"https://wrd.walmart.com\\\"]\",\"tasks\":[[\"upward\",\"section > div > div\"]]}"],["{\"selector\":\".downloadbtn\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"#submitbutton[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}","{\"selector\":\"a#gobutton[onclick]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\".main > div.container > h2\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"#main > div[class] > div div[class]\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"^\\\"advertisement\\\"$\"}],[\"upward\",\"#main > div[class] > div\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/htmls|google_ad_client/\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"Math\"]]}"],["{\"selector\":\"div[class] > ins.adsbygoogle\",\"tasks\":[[\"upward\",\"div[class]\"]]}","{\"selector\":\"li[class] > ins.adsbygoogle\",\"tasks\":[[\"upward\",\"li[class]\"]]}"],["{\"selector\":\"div[class][data-mobid] > div[class=\\\"vm-placement\\\"][data-id]\",\"tasks\":[[\"upward\",\"div[class]\"]]}"],["{\"selector\":\"*\",\"tasks\":[[\"matches-css-before\",{\"name\":\"content\",\"pseudo\":\"before\",\"value\":\"Adv\"}]]}"],["{\"selector\":\"[data-koukoku-width]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body > div iframe\",\"tasks\":[[\"upward\",\"body > div\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adsBlocked\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/eval[\\\\s\\\\S]*?decodeURIComponent/\"]]}"],["{\"selector\":\"h3.my-4\",\"tasks\":[[\"has-text\",\"/^Advertising/\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"shouldPop\"]]}"],["{\"selector\":\"body > [id][class] > [class]\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^2147483[0-9]{3}$\"}]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> div[class]:first-child\",\"tasks\":[[\"has-text\",\"REKLAMA\"],[\"spath\",\":not(:has(> *))\"]]}]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[string-length(@href) > 1600]\"]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> img[src] + div > style\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"]]}]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> style:first-child\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"],[\"spath\",\" + div > div > style:first-child\"],[\"has-text\",\"flex: 0 0 100%\"],[\"spath\",\" + div\"]]}],[\"spath\",\":not(:has([data-st-area^=\\\"czyt_dalej\\\"]))\"]]}"],["{\"selector\":\"div[class*=\\\" \\\"]:has(> div:first-child > div:first-child:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"],["{\"selector\":\"div[class*=\\\" \\\"]:has(> div:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"],["{\"selector\":\"div[class]:has(> img[src] ~ div:empty)\",\"tasks\":[[\"matches-css\",{\"name\":\"z-index\",\"value\":\"^0$\"}],[\"matches-css\",{\"name\":\"position\",\"value\":\"^relative$\"}]]}"],["{\"selector\":\"div > h6\",\"tasks\":[[\"has-text\",\"Oferty dla Ciebie\"]]}","{\"selector\":\"section > h2\",\"tasks\":[[\"has-text\",\"Oferty dla Ciebie:\"]]}"],["{\"selector\":\"div[class]\",\"tasks\":[[\"has\",{\"selector\":\"> img[src] + div + style\",\"tasks\":[[\"has-text\",\"flex: 0 0 100%\"]]}]]}"],["{\"selector\":\"style\",\"tasks\":[[\"has-text\",\"right:0;top:0;bottom:0;left:0;margin:auto;position:absolute;\"],[\"upward\",1]]}"],["{\"selector\":\"#bottom-sticky-container > div\",\"tasks\":[[\"matches-attr\",{\"attr\":\"class\",\"value\":\"/^[a-zA-Z]{2}$/\"}],[\"spath\",\":not([id])\"]]}"],["{\"selector\":\"*\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child:has(> div:first-child > a > img[src^=\\\"https://v.wpimg.pl/\\\"]):not([alt], [id], [width], [data-src]) + div:empty\"}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:only-child > * > div > .border > .container > .labelCopy\",\"tasks\":[[\"has-text\",\"REKLAMA\"]]}]]}"],["{\"selector\":\"a[href=\\\"https://www.wp.pl\\\"][data-st-area=\\\"goToSG\\\"] + div\",\"tasks\":[[\"has\",{\"selector\":\"> div > div > div\",\"tasks\":[[\"has-text\",\"REKLAMA\"]]}]]}","{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child:has(> div:only-child > a > div:empty:only-child) + div:last-child:empty\"}]]}","{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child:has(> iframe:only-child) + div:last-child:empty\"}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"matches-css-after\",{\"name\":\"content\",\"pseudo\":\"after\",\"value\":\"R.*E.*K.*L.*A.*M.*A\"}],[\"upward\",1]]}"],["{\"selector\":\"div\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has\",{\"selector\":\"> a:first-child:has(> div:empty:only-child) + div:empty:last-child\"}]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"> div:first-child:has(> a:first-child > img[src^=\\\"https://v.wpimg.pl/\\\"]) + div:empty:last-child\"}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"await fetch\"]]}"],["{\"selector\":\"button[onclick^=\\\"window.open\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}"],["{\"selector\":\"h4\",\"tasks\":[[\"has-text\",\"VPN\"]]}"],["{\"selector\":\"[class^=\\\"style\\\"]\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/'.adsbygoogle'|text-danger|warning|Adblock|_0x/\"]]}"],["{\"selector\":\"[href*=\\\"preroll\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"decodeURIComponent(escape(r))\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"adblock\"]]}"],["{\"selector\":\".fluid-close[target=\\\"_blank\\\"]\",\"action\":[\"remove-attr\",\"target\"]}","{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/popstate|popMagic/\"]]}"],["{\"selector\":\"body\",\"action\":[\"remove-class\",\"top_ads_add\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popUnder\"]]}"],["{\"selector\":\".entry.card div:is(#sidead, .topad)\",\"tasks\":[[\"upward\",\".entry.card\"]]}"],["{\"selector\":\".modal_dialog_base\",\"tasks\":[[\"has\",{\"selector\":\"> .modal_top_header\",\"tasks\":[[\"has-text\",\"Marketing\"]]}]]}","{\"selector\":\"table\",\"tasks\":[[\"has\",{\"selector\":\"> thead > .collapsableSection > td\",\"tasks\":[[\"has-text\",\"Ads\"]]}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"decodeURIComponent\"]]}"],["{\"selector\":\"a[href^=\\\"/out/\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\".result:has(.result-open-metagerkey)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"section h6\",\"tasks\":[[\"has-text\",\"Advertising\"],[\"upward\",\"section\"]]}"],["{\"selector\":\".widget_custom_html #myVideo\",\"tasks\":[[\"upward\",\".widget_custom_html\"]]}"],["{\"selector\":\"main > div > div:empty\",\"tasks\":[[\"matches-css\",{\"name\":\"min-height\",\"value\":\"^250px$\"}],[\"matches-css\",{\"name\":\"min-width\",\"value\":\"^80%$\"}]]}"],["{\"selector\":\"div.fixed[style^=\\\"z-index:\\\"]\",\"tasks\":[[\"has-text\",\"گوشی خود را بچرخانید\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"ai_adb\"]]}"],["{\"selector\":\"a.btn-ad-iframe:not(a[href*=\\\"empire-\\\"])\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\"#alf_continue_captcha\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\"button\",\"action\":[\"remove-attr\",\"disabled\"]}","{\"selector\":\"button\",\"action\":[\"remove-class\",\"hidden\"]}"],["{\"selector\":\"body > div[style]\",\"tasks\":[[\"has-text\",\"Ads\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"liedetector\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"popWin\"]]}"],["{\"selector\":\".ad-unit\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".widget .adsSidebarContainer\",\"tasks\":[[\"upward\",\".widget\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"end_click\"]]}"],["{\"selector\":\":is(.owl-item, .thumb-item-flow):has(a[href^=\\\"https://www.polybuzz.ai/\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div[aria-label=\\\"Why this ad?\\\"]\",\"tasks\":[[\"upward\",\"[data-pla=\\\"1\\\"]\"]]}"],["{\"selector\":\"[style*=\\\"desktop-url\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div > article[data-q=\\\"search-result\\\"] > a[data-q=\\\"search-result-anchor\\\"] > div > figure.listing-tile-thumbnail-image + div\",\"tasks\":[[\"has-text\",\"Featured\"],[\"upward\",\"article[data-q=\\\"search-result\\\"]\"]]}"],["{\"selector\":\"#deviantartcom_desktop-devpage-sidebar-300x250-atf\",\"tasks\":[[\"upward\",\"div[role=\\\"complementary\\\"] > div\"]]}"],["{\"selector\":\"[id^=\\\"google_ads_iframe\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"a[href^=\\\"https://www.panda-novel.com/advertising\\\"]\",\"tasks\":[[\"upward\",\".index-swiper\"]]}"],["{\"selector\":\".serieslist > ul > li\",\"tasks\":[[\"has-text\",\"(AD)\"]]}","{\"selector\":\"a[href][title^=\\\"(AD)\\\"]\",\"tasks\":[[\"upward\",\".bs\"]]}"],["{\"selector\":\".relacionados .aawp\",\"tasks\":[[\"upward\",\".relacionados\"]]}"],["{\"selector\":\"center[style]\",\"tasks\":[[\"has-text\",\"advertisement\"]]}"],["{\"selector\":\"a[rel*=\\\"sponsored\\\"]\",\"tasks\":[[\"upward\",\".normal-page__content > div\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"clientHeight\"]]}"],["{\"selector\":\".tweet-card .v-responsive.media-carousel-image .v-responsive__content img[alt]\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"matches-attr\",{\"attr\":\"alt\",\"value\":\"/.*\\\\shttps:\\\\/\\\\/t\\\\.co\\\\/[\\\\w]{10}$/\"}]]}],[\"upward\",\".tweet-card\"]]}"],["{\"selector\":\"a img:not([src=\\\"images/main_logo_inverted.png\\\"])\",\"action\":[\"style\",\"visibility: hidden !important;\"],\"tasks\":[[\"matches-css\",{\"name\":\"height\",\"value\":\"^([2-4]{1}[0-9]{2}(\\\\.[0-9]+)?px|0px)$\"}]]}"],["{\"selector\":\"\",\"tasks\":[[\"xpath\",\"//*[(text()='Advertisement')]\"],[\"upward\",1]]}"],["{\"selector\":\"h6.text-muted\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".loadingLI\",\"tasks\":[[\"upward\",\".tncms-block\"]]}"],["{\"selector\":\".pufftext > .sponsored\",\"tasks\":[[\"upward\",3]]}","{\"selector\":\".pufftext\",\"tasks\":[[\"has-text\",\"/SPONSORED/\"],[\"upward\",2]]}"],["{\"selector\":\"#content-main a[title][href*=\\\"?staticParams=\\\"]\",\"tasks\":[[\"upward\",\"span\"]]}"],["{\"selector\":\"div.bar_container\",\"tasks\":[[\"has\",{\"selector\":\"> div.bar_headline\",\"tasks\":[[\"has-text\",\"Advertising\"]]}]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"antiAdBlockerHandler\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"AdBlockEnabled\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"push\"]]}"],["{\"selector\":\"amp-iframe:has([src^=\\\"https://widget.sellwild.com\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"div[data-controller=\\\"downloads.front.view.download\\\"] a[data-action=\\\"download\\\"][data-wait=\\\"true\\\"]\",\"action\":[\"remove-attr\",\"data-wait\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/innerHTML.*appendChild/\"]]}"],["{\"selector\":\"a.box-title\",\"tasks\":[[\"has-text\",\"Ads\"]]}"],["{\"selector\":\"[data-testid=\\\"primaryColumn\\\"] [data-testid=\\\"cellInnerDiv\\\"] > div:has([data-testid$=\\\"-impression-pixel\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body\",\"action\":[\"remove-class\",\"ads-not-loaded\"]}"],["{\"selector\":\"#taboola-alternating-below-article\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".banner-min-height\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".fixed.social-bar\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".mobile-banner-sticky-container\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"document.createTextNode\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/\\\\{delete window\\\\[/\"]]}"],["{\"selector\":\"#alert-popup\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".js-modal-url\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".bunny-icon[disabled]\",\"action\":[\"remove-attr\",\"disabled\"]}"],["{\"selector\":\".table2\",\"tasks\":[[\"has-text\",\"Sponsored\"]]}","{\"selector\":\"TR\",\"tasks\":[[\"has-text\",\"Stream:\"]]}"],["{\"selector\":\".adsbyvli\",\"tasks\":[[\"upward\",\"div[style^=\\\"width: 300px; height: 250px\\\"]\"]]}"],["{\"selector\":\"div[class^=\\\"sc-\\\"] > div[class^=\\\"sc-\\\"]:has(> div[style*=\\\"width: 728px;\\\"]:only-child > iframe[name=\\\"footer\\\"][width=\\\"728\\\"][height=\\\"90\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"padding-bottom\",\"value\":\"^56px$\"}]]}","{\"selector\":\"iframe[name=\\\"dashboard_home\\\"]\",\"tasks\":[[\"upward\",\"div[class^=\\\"sc-\\\"][span=\\\"1\\\"]\"]]}","{\"selector\":\"section > div[class^=\\\"sc-\\\"]:last-child:has(> div[style*=\\\"width: 728px;\\\"]:only-child > iframe[name=\\\"footer\\\"][width=\\\"728\\\"][height=\\\"90\\\"])\",\"tasks\":[[\"matches-css\",{\"name\":\"margin-bottom\",\"value\":\"^-16px$\"}]]}"],["{\"selector\":\"html[data-orlock-url]\",\"action\":[\"remove-attr\",\"data-orlock-url\"]}"],["{\"selector\":\"#players a[href][target=\\\"_blank\\\"]\",\"action\":[\"remove-attr\",\"/href|target/\"]}","{\"selector\":\"style\",\"tasks\":[[\"has-text\",\"blink_me_ad\"],[\"upward\",2]]}"],["{\"selector\":\".ad-body\",\"action\":[\"remove\",\"\"]}","{\"selector\":\".nvheader > span\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\"div[class][id]:not(.logo)\",\"tasks\":[[\"if-not\",\"*\"],[\"has-text\",\"/^$/\"]]}"],["{\"selector\":\"div:is(.shadow, .flex.w-full.justify-center[style=\\\"\\\"]):has(a[href=\\\"/pricing\\\"] img[alt=\\\"Please support civitai and creators by disabling adblock\\\"])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"body[data-billboard=\\\"true\\\"]\",\"action\":[\"remove-attr\",\"data-billboard\"]}"],["{\"selector\":\"style\",\"action\":[\"remove\",\"\"],\"tasks\":[[\"has-text\",\".reading-content img\"]]}"],["{\"selector\":\"a[href^=\\\"https://thehackernews.uk/\\\"]\",\"tasks\":[[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/https:\\\\/\\\\/thehackernews\\\\.uk\\\\/[a-zA-Z0-9]{4,}/\"}],[\"spath\",\":not([href*=\\\"-\\\"]):not([class*=\\\"button\\\"]):not([class*=\\\"latest\\\"])\"]]}"],["{\"selector\":\"[data-pid^=\\\"ad-\\\"]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".mb32\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".cmplz-blocked-content-container\",\"action\":[\"remove-class\",\"cmplz-blocked-content-container\"]}"],["{\"selector\":\".email-adblck-outline\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#clickfakeplayer\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\"#openLinks\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"main > div > [id].scroll-mt-20\",\"tasks\":[[\"has\",{\"selector\":\".items-center + div\",\"tasks\":[[\"has-text\",\"/^Sponsored$/\"]]}]]}"],["{\"selector\":\"div[class*=\\\"ads\\\"]\",\"tasks\":[[\"has-text\",\"/Advertisement/i\"]]}"],["{\"selector\":\"[href*=\\\"?key\\\"][target=\\\"_blank\\\"]\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\"div[tabindex] > button\",\"tasks\":[[\"has-text\",\"Buy $\"]]}"],["{\"selector\":\".widget_text\",\"tasks\":[[\"has-text\",\"Advertisement\"]]}"],["{\"selector\":\".tjp-single__content-ads\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".sponsorship\",\"action\":[\"remove-class\",\"sponsorship\"]}"],["{\"selector\":\"body[data-scroll-locked]\",\"action\":[\"remove-attr\",\"data-scroll-locked\"]}"],["{\"selector\":\"[data-popunder-enabled]\",\"action\":[\"remove-attr\",\"data-popunder-enabled\"]}"],["{\"selector\":\".article_content > [class] > [class]:has(.iframe_embed_container)\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".js-side-ads-movie-container\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/^\\\\/($|abss\\\\/)/\"],[\"spath\",\" .postContent a[href^=\\\"/\\\"]:not([href*=\\\"/forum/\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/^\\\\/[-a-z]+\\\\?[a-z]{2,}=/\"}]]}","{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/^\\\\/($|abss\\\\/)/\"],[\"spath\",\" a:is([href^=\\\"/\\\"], [href*=\\\"audiobookbay.lu/\\\"])\"],[\"matches-attr\",{\"attr\":\"href\",\"value\":\"/(^|audiobookbay\\\\.lu)\\\\/[-a-z0-9]+$/\"}],[\"spath\",\" img\"]]}"],["{\"selector\":\"\",\"action\":[\"style\",\"background: none !important;\"],\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/amafav/\"]]}],[\"spath\",\" .image_box[style*=\\\"amazon.co\\\"]\"]]}","{\"selector\":\"\",\"tasks\":[[\"not\",{\"selector\":\"\",\"tasks\":[[\"matches-path\",\"/amafav/\"]]}],[\"spath\",\" a[href^=\\\"https://www.amazon.co.jp\\\"][target=\\\"_blank\\\"]\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/eval\\\\(.+?decodeURIComponent/\"]]}"],["{\"selector\":\"script[data-cfasync]\",\"tasks\":[[\"has-text\",\"popundersPerIP\"]]}"],["{\"selector\":\"#header-adv-banner\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"#o-site-hr__leaderboard-wallpaper.u-show-for-xlarge\",\"action\":[\"remove\",\"\"]}","{\"selector\":\"[data-ad-name]\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"a[href]#clickfakeplayer\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\"[class*=\\\"has-interstitial-ads\\\"]\",\"action\":[\"remove-class\",\"/^has-interstitial-ads/\"]}"],["{\"selector\":\"main div.MuiBox-root > span.MuiTypography-subtitle2\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"upward\",1]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"/history\\\\.pushState/\"]]}"],["{\"selector\":\".ads_horizontal_reader\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"NREUM\"]]}"],["{\"selector\":\"[data-aop=\\\"stripe.sponsored.navigation_stripenavigation\\\"]\",\"tasks\":[[\"upward\",2]]}","{\"selector\":\"[data-aop=\\\"stripe.store.navigation_stripenavigation\\\"]\",\"tasks\":[[\"upward\",2]]}"],["{\"selector\":\"[src^=\\\"assets/bn\\\"]\",\"tasks\":[[\"upward\",\"[style]\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"iframeTestTimeMS\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"g02.\"]]}"],["{\"selector\":\"a.button-link.mybutton\",\"tasks\":[[\"has-text\",\"Play\"]]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"return a.split\"]]}"],["{\"selector\":\"[href=\\\"/advertise\\\"]\",\"tasks\":[[\"upward\",1]]}"],["{\"selector\":\"div\",\"tasks\":[[\"has\",{\"selector\":\"+ script\",\"tasks\":[[\"has-text\",\"challenge\"]]}],[\"spath\",\":has(a :is(img[src*=\\\"/\\\"][src*=\\\"_\\\"][alt], [style]))\"]]}","{\"selector\":\"div[id]:has(> [data-freestar-ad])\",\"action\":[\"remove\",\"\"]}"],["{\"selector\":\".m-188zyzr\",\"tasks\":[[\"matches-css\",{\"name\":\"width\",\"value\":\"^728px$\"}]]}","{\"selector\":\"span\",\"tasks\":[[\"has-text\",\"Advertisement\"],[\"upward\",3]]}"],["{\"selector\":\"a.setpopupcookie[href^=\\\"get/video/\\\"]\",\"action\":[\"remove-attr\",\"href\"]}"],["{\"selector\":\"[data-ads_url]\",\"action\":[\"remove-attr\",\"data-ads_url\"]}"],["{\"selector\":\"a[onclick^=\\\"trackURL\\\"]\",\"action\":[\"remove-attr\",\"onclick\"]}","{\"selector\":\"a[onmousedown^=\\\"return enc(this,'https://track.rediff.com\\\"]\",\"action\":[\"remove-attr\",\"onmousedown\"]}"],["{\"selector\":\"a.outbound[data-outbound-url]\",\"action\":[\"remove-attr\",\"data-outbound-url\"]}"],["{\"selector\":\"#main a[href][data-sb^=\\\"/url?\\\"]\",\"action\":[\"remove-attr\",\"data-sb\"]}"],["{\"selector\":\"html > head > :is([name=\\\"canonical\\\"], [rel=\\\"canonical\\\"]):not([content*=\\\"/details/\\\"])\",\"tasks\":[[\"upward\",1],[\"spath\",\" > script[src*=\\\"optimizely\\\"]\"]]}"],["{\"selector\":\"a[href][data-link-out]\",\"action\":[\"remove-attr\",\"data-link-out\"]}"],["{\"selector\":\"a.link.link--external[href][data-proxy-href]\",\"action\":[\"remove-attr\",\"data-proxy-href\"]}"],["{\"selector\":\"script\",\"tasks\":[[\"has-text\",\"vglnk\"]]}"]];
const argsSeqs = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,-28,-40,43,29,30,31,32,33,34,35,36,37,38,39,-40,41,-42,43,44,45,46,47,48,49,50,51,52,53,54,-54,100,55,56,57,58,59,60,61,62,63,64,-64,360,65,66,67,-68,500,68,69,70,71,72,73,74,75,76,77,-78,495,78,79,80,81,82,83,84,85,86,87,88,89,90,91,92,93,94,95,96,97,-97,98,99,101,102,103,104,105,106,107,108,109,110,-111,112,-112,113,114,115,116,117,118,119,120,121,-121,128,122,123,124,125,126,127,129,130,131,132,133,134,135,136,137,138,139,140,141,142,143,144,145,146,147,148,149,150,151,152,153,154,155,156,157,158,159,160,-160,161,162,163,-164,165,-164,198,-166,241,167,-168,241,169,170,171,172,173,-173,390,-173,409,174,175,176,177,178,-179,207,180,181,182,183,184,185,186,187,-187,202,188,-188,189,190,191,192,193,194,195,196,197,199,200,201,202,203,-204,205,205,206,207,208,209,210,211,212,213,214,215,216,217,218,219,220,221,222,-222,224,223,225,226,227,-228,229,229,230,231,232,233,234,235,236,237,238,239,240,241,242,243,244,245,246,247,248,249,250,251,252,253,254,255,256,257,258,259,260,261,262,263,264,265,266,267,268,269,270,271,272,273,274,275,276,277,278,279,280,281,282,283,284,285,286,287,288,289,290,291,292,293,294,295,296,297,298,299,300,301,302,303,304,305,306,307,308,309,310,311,312,313,314,315,316,317,318,319,320,321,322,323,324,325,326,327,328,329,330,331,332,333,334,335,336,337,338,339,340,341,342,343,344,345,346,347,348,349,350,351,352,353,354,355,356,357,358,359,361,362,363,364,365,366,367,368,369,370,371,372,373,374,375,376,377,378,379,380,381,382,383,384,385,386,387,388,389,391,392,393,394,395,396,397,398,399,400,401,402,403,404,405,406,407,408,409,410,411,-412,413,413,414,415,416,417,418,419,-420,-422,-423,-426,-434,-436,437,-420,-422,-423,436,-420,-422,-423,-425,-426,-427,-428,437,-420,-422,-423,437,-420,-422,423,-420,-422,-423,424,-420,-422,-423,-425,-427,-432,437,-420,-422,430,-420,-422,-425,426,-420,-422,-423,-424,-427,431,-420,-422,-423,-424,427,-420,-422,427,-420,423,421,-421,435,422,423,425,426,-426,432,427,429,432,433,438,439,440,441,442,443,444,445,446,447,448,449,450,451,452,453,454,455,456,457,458,459,460,461,462,463,464,465,466,467,468,469,470,471,472,473,474,475,476,477,478,479,480,481,482,483,484,485,486,487,488,489,490,491,492,493,494,496,497,498,499,-499,539,500,501,502,503,504,505,506,507,508,509,510,511,512,513,514,515,516,517,518,519,520,521,522,523,524,525,526,527,528,529,530,531,532,533,534,535,536,537,538,540,541,542,543,-544,545,545,546,547,548,549,550,551,552,553,554,555,556,557,558,559];
const hostnamesMap = new Map([["infinityscans.xyz",1],["infinityscans.net",1],["infinityscans.org",1],["0cbcq8mu.com",2],["2cf0xzdu.com",2],["4k2h4w04.xyz",2],["a6iqb4m8.xyz",2],["afl3ua5u.xyz",2],["jmzkzesy.xyz",2],["07c225f3.online",3],["content-loader.com",3],["css-load.com",3],["html-load.com",3],["img-load.com",3],["smsonline.cloud",4],["bing.com",5],["apnews.com",6],["~ebay.com",7],["los40.com",8],["~praxistipps.chip.de",9],["uschovna.cz",10],["unito.life",11],["kingarthurbaking.com",12],["~job.mt.de",13],["~job.nw.de",13],["thequint.com",14],["prepostseo.com",14],["~instagram.com",15],["gamingbible.com",16],["eitb.eus",17],["riteaid.com",18],["radiox.co.uk",19],["bellinghamherald.com",20],["bnd.com",20],["bradenton.com",20],["centredaily.com",20],["charlotteobserver.com",20],["flkeysnews.com",20],["fresnobee.com",20],["heraldonline.com",20],["heraldsun.com",20],["idahostatesman.com",20],["islandpacket.com",20],["kansas.com",20],["kansascity.com",20],["kentucky.com",20],["ledger-enquirer.com",20],["macon.com",20],["mahoningmatters.com",20],["mcclatchydc.com",20],["mercedsunstar.com",20],["miamiherald.com",20],["modbee.com",20],["myrtlebeachonline.com",20],["newsobserver.com",20],["sacbee.com",20],["sanluisobispo.com",20],["star-telegram.com",20],["sunherald.com",20],["thestate.com",21],["variety.com",22],["scotsman.com",23],["brightygames.com",24],["yoho.games",24],["sisigames.com",25],["goku.sx",26],["eksisozluk.com",27],["indiatimes.com",28],["abcam.com",31],["buytesmart.com",32],["vidaextra.com",33],["www.reddit.com",34],["sh.reddit.com",34],["www.al.com",35],["www.cleveland.com",35],["www.lehighvalleylive.com",35],["www.masslive.com",35],["www.mlive.com",35],["www.nj.com",35],["www.oregonlive.com",35],["www.pennlive.com",35],["www.silive.com",35],["www.syracuse.com",35],["sklep.trzynastkaplus.pl",36],["steamidfinder.com",37],["some.porn",38],["youtube.com",39],["sport1.de",40],["economictimes.indiatimes.com",41],["samayam.com",42],["m.economictimes.com",44],["m.timesofindia.com",46],["aranzulla.it",47],["uol.com.br",48],["facebook.com",49],["facebookwkhpilnemxj7asaniu7vnjjbiltxjqhye3mhbshg7kx5tfyd.onion",49],["wetteronline.*",50],["amazon.*",51],["web.de",52],["golem.de",53],["bild.de",54],["quora.com",55],["gamestorrents.*",56],["gogoanimes.*",56],["limetorrents.*",57],["piratebayz.*",56],["hltv.org",59],["primewire.*",60],["torrentz2.*",61],["torlock.*",62],["torlock2.*",62],["mylink.*",63],["my1ink.*",63],["myl1nk.*",63],["myli3k.*",63],["freebeacon.com",64],["nytimes.com",65],["nytimes3xbfgragh.onion",65],["userupload.*",66],["animepahe.*",67],["kwik.*",67],["ouo.*",67],["urlpay.net",67],["newtorrentgame.com",67],["kropic.com",67],["hpaudiobooks.*",67],["xxxmax.net",67],["ebookbb.com",67],["alexsports.*",67],["poscitech.*",68],["sportsonline.*",69],["yts.mx",71],["hqq.*",72],["waaw.*",72],["alrincon.com",73],["1337x.*",74],["x1337x.*",74],["1337x.unblock2.xyz",76],["1337x.unblocked.*",76],["1337x.unblockit.*",76],["pussyspace.com",77],["pussyspace.net",77],["tnaflix.com",78],["stomp.straitstimes.com",79],["feet9.com",80],["mylust.com",81],["pixhost.*",82],["1movies.*",83],["focus.de",84],["vsco.co",85],["twitter.com",86],["twitter3e4tixl4xyajtrzo62zg5vztmjuricljdp2c5kshju4avyoid.onion",88],["x.com",86],["op.gg",89],["jeuxvideo.com",90],["pcbolsa.com",91],["reddit.com",92],["reddittorjg6rue252oqsxryoxengawnmo46qy4kyii5wtqnwfj4ooad.onion",92],["peliculasmx.net",93],["btc-echo.de",94],["cricstream.me",95],["bowfile.com",95],["buffsports.me",95],["mypornstarbook.net",96],["ashemaletube.*",97],["ccn.com",98],["ettv.*",99],["xrares.com",100],["link.goto.com.np",101],["movies123.*",102],["0123movies.*",102],["5movies.*",102],["megadede.*",102],["adivineencounter.com",103],["alcasthq.com",103],["au-di-tions.com",103],["badgehungry.com",103],["bloggingawaydebt.com",103],["chipandco.com",103],["cornerstoneconfessions.com",103],["dearcreatives.com",103],["divinelifestyle.com",103],["eslauthority.com",103],["heresyoursavings.com",103],["investingchannel.com",103],["irresistiblepets.net",103],["justjared.com",103],["kompas.com",103],["lovegrowswild.com",103],["mjsbigblog.com",103],["mommybunch.com",103],["mustardseedmoney.com",103],["myfunkytravel.com",103],["mywomenstuff.com",103],["onetimethrough.com",103],["panlasangpinoymeatrecipes.com",103],["peru21.pe",103],["savespendsplurge.com",103],["savvyhoney.com",103],["silverpetticoatreview.com",103],["tamaratattles.com",103],["the-military-guide.com",103],["the2seasons.com",103],["therelaxedhomeschool.com",103],["thetechieguy.com",103],["waterheaterleakinginfo.com",103],["zeroto60times.com",103],["cut-fly.com",104],["foxseotools.com",104],["classicreload.com",105],["piratebay.*",106],["pirateproxy.*",106],["wowescape.com",107],["games2rule.com",108],["bigescapegames.com",107],["elixx.*",110],["hardmob.com.br",111],["mirrorace.*",112],["elizabeth-mitchell.org",113],["plagiarismchecker.co",114],["temp-mail.org",115],["medievalists.net",116],["xnxxjapon.com",117],["solarmovie.*",118],["dramacool.*",119],["webserver.one",120],["t-online.de",121],["~email.t-online.de",123],["convallariaslibrary.com",125],["gourmetscans.net",125],["frag-mutti.de",126],["ovagames.com",127],["ndtv.com",128],["food.ndtv.com",129],["ustream.*",130],["ableitungsrechner.net",131],["watchfreexxx.net",132],["pandamovie.*",133],["pandamovies.me",133],["pornkino.cc",133],["speedporn.*",133],["xxxscenes.net",133],["youwatchporn.com",133],["extratorrent.*",135],["oko.sh",136],["filerio.in",137],["cinetux.*",138],["streameast.*",139],["1movietv.com",140],["washingtonpost.com",141],["marketmovers.it",142],["newssokuhou666.blog.fc2.com",142],["youkaiwatch2345.blog.fc2.com",142],["5ggyan.com",142],["artribune.com",143],["oscobo.com",144],["ufacw.com",145],["tutorialsaya.com",145],["indobo.com",145],["informaxonline.com",145],["gosexpod.com",146],["flashingjungle.com",147],["nakedneighbour.com",148],["bestjavporn.com",149],["flsaudio.com",150],["bitcointalk.org",151],["adshrink.it",152],["turkanime.*",153],["allcalidad.*",154],["cinemaxxl.de",155],["bde4.*",156],["9gag.com",157],["filmytoday.com",158],["fandom.com",159],["sensualgirls.org",160],["wallpaperwaifu.com",161],["gamesradar.com",162],["techradar.com",162],["tomsguide.com",162],["tomshardware.com",162],["whathifi.com",162],["newsonthegotoday.com",163],["boyfriendtv.com",164],["ddaynormandy.forumgaming.fr",165],["neogeo-system.com",165],["medicalnewstoday.com",166],["bookmystrip.com",167],["sabkiyojana.com",167],["yalifin.xyz",167],["lrncook.xyz",167],["cryptokinews.com",167],["lifesurance.info",167],["secretplus.in",168],["shayarias.in",169],["jksb.in",169],["mazakisan.com",169],["grtjobs.in",169],["call-bomber.info",169],["kajernews.com",169],["vyaapaarguru.in",169],["pulgame.com",170],["imagereviser.com",171],["nichapk.com",171],["easyworldbusiness.com",171],["riveh.com",171],["junkyponk.com",172],["healthfirstweb.com",172],["vocalley.com",172],["yogablogfit.com",172],["howifx.com",172],["en.financerites.com",173],["mythvista.com",172],["livenewsflix.com",172],["cureclues.com",172],["apekite.com",172],["veganab.co",175],["camdigest.com",175],["itijobalert.in",176],["techkhulasha.com",176],["tech.pubghighdamage.com",177],["tech.techkhulasha.com",177],["hipsonyc.com",177],["meclipstudy.in",179],["bookszone.in",181],["graphicuv.com",183],["learnmany.in",183],["hit-films.com",183],["shortix.co",184],["uptechnologys.com",186],["sevenjournals.com",186],["financenova.online",187],["utkarshonlinetest.com",187],["financewada.com",187],["labgame.io",188],["fx-gd.net",189],["healthy4pepole.com",189],["hightrip.net",189],["to-travel.net",189],["btcbitco.in",190],["btcsatoshi.net",190],["cempakajaya.com",190],["crypto4yu.com",190],["gainl.ink",190],["manofadan.com",190],["readbitcoin.org",190],["wiour.com",190],["blog24.me",190],["coin-free.com",190],["tremamnon.com",190],["bitcotasks.com",190],["videolyrics.in",190],["tagecoin.com",191],["allfaucet.xyz",190],["claimcoins.site",190],["cryptosh.pro",190],["bitsmagic.fun",190],["ourcoincash.xyz",193],["paidinsurance.in",195],["conghuongtu.net",195],["coinseidon.com",195],["placementsmela.com",196],["reminimod.co",196],["highkeyfinance.com",196],["amanguides.com",196],["sportsonfr.com",196],["gurumu.net",196],["kreatifparenting.com",196],["freemodsapp.xyz",196],["panda.freemodsapp.in",196],["iconicblogger.com",196],["rsrlink.in",196],["djpunjab2.in",196],["djqunjab.in",196],["foodxor.com",196],["geniussolutions.co",196],["mealcold.com",196],["mixrootmods.com",196],["fartechy.com",196],["investcrust.com",196],["litonmods.com",196],["classicoder.com",196],["blog.nationapk.com",196],["krishiloksewa.com",196],["modzilla.in",196],["itechmafiia.com",196],["mb.feedale.com",196],["nishankhatri.xyz",197],["sugarona.com",198],["blog.disheye.com",199],["sahlmarketing.net",200],["mayaremix.in",202],["unfoldedstars.com",202],["neverdims.com",202],["bit4me.info",202],["deltabtc.xyz",202],["mbjremix.com",202],["ottlatest.com",202],["ryuugames.com",203],["intercelestial.com",204],["linegee.net",205],["financeyogi.net",206],["finclub.in",206],["bartendingexpert.com",207],["freethailottery.live",208],["progfu.com",208],["letest25.co",209],["loanteacher.in",209],["truevpnlover.com",209],["financebolo.com",209],["rphost.in",210],["gorating.in",209],["techkeshri.com",209],["easywithcode.tech",212],["vedamdigi.tech",213],["redfea.com",215],["pranarevitalize.com",215],["techyinfo.in",215],["fitnessholic.net",215],["appkamods.com",216],["cancelguider.online",217],["loan.punjabworks.com",217],["petrainer.in",218],["moderngyan.com",219],["sattakingcharts.in",219],["freshbhojpuri.com",219],["bgmi32bitapk.in",219],["bankshiksha.in",219],["earn.mpscstudyhub.com",219],["earn.quotesopia.com",219],["money.quotesopia.com",219],["best-mobilegames.com",219],["learn.moderngyan.com",219],["bharatsarkarijobalert.com",219],["quotesopia.com",219],["creditsgoal.com",219],["loan.creditsgoal.com",220],["rupyaworld.com",220],["vahantoday.com",220],["techawaaz.in",220],["loan.bgmi32bitapk.in",221],["currentrecruitment.com",222],["investorveda.com",222],["foodupe.com",223],["bloggingdaze.com",224],["dsmusic.in",225],["techurlshort.in",226],["sub4unlock.com",227],["cybercityhelp.in",228],["akcartoons.in",230],["hosttbuzz.com",231],["policiesreview.com",231],["techacode.com",232],["trickms.com",233],["travel.vebma.com",234],["mrproblogger.com",235],["themezon.net",235],["headlinerpost.com",236],["drinkspartner.com",236],["apcvpc.com",236],["posterify.net",236],["manishclasses.in",236],["blog.workedbd.com",237],["advisecreate.fun",237],["uses-in-hindi.com",237],["maxxfour.com",237],["cybertyrant.com",237],["gdspike.com",237],["profitshort.com",237],["courselinkfree.us",237],["technorozen.com",237],["hubdrive.me",237],["cinedesi.in",238],["thevouz.in",238],["tejtime24.com",238],["techishant.in",238],["whatgame.xyz",239],["mooonten.com",239],["msic.site",239],["fx-22.com",239],["gold-24.net",239],["forexrw7.com",239],["kbconlinegame.com",240],["hamrojaagir.com",240],["odijob.com",240],["bkgnews.in",241],["ontechhindi.com",241],["mahitimanch.in",242],["indiamaja.com",242],["5ghindi.in",242],["rfiql.com",243],["gujjukhabar.in",243],["smartfeecalculator.com",243],["djxmaza.in",243],["thecubexguide.com",243],["jytechs.in",243],["financacerta.com",244],["encurtads.net",244],["aman-dn.blogspot.com",245],["hypershort.com",246],["djremixganna.com",247],["keedabankingnews.com",248],["rokni.xyz",248],["techhype.in",250],["techsite.in",250],["m.jobinmeghalaya.in",251],["newsbreak24.de",252],["echo-online.de",253],["txxx.*",254],["txxxporn.tube",256],["upornia.com",257],["familyporner.com",258],["pussymaturephoto.com",259],["jpvhub.com",260],["bunkr.*",261],["pornoplum.com",262],["vulgarmilf.com",262],["oldgirlsporn.com",262],["maturell.com",262],["nakedolders.com",262],["nudemilfwomen.com",262],["widewifes.com",262],["hentaihere.com",263],["xnxx-sexfilme.com",264],["pahe.*",265],["actvid.*",266],["nu6i-bg-net.com",267],["androjungle.com",268],["drakescans.com",268],["bokugents.com",268],["zone-annuaire.*",269],["forumconstruire.com",270],["splitshire.com",271],["sms24.*",272],["m.drtuber.com",273],["kiemlua.com",274],["tricksplit.io",275],["apkcombo.com",275],["ctrlv.*",276],["peacocktv.com",277],["indianwebseries.*",278],["simply-debrid.com",279],["cutty.app",279],["healthline.com",280],["responsivevoice.org",281],["cgtips.org",282],["hentaicloud.com",283],["pholder.com",284],["xxxdan.com",285],["alltechnerd.com",286],["videohelp.com",287],["top.gg",288],["needgayporn.com",289],["rule34.paheal.net",290],["palcomix.com",291],["pikkado.com",292],["nypost.com",293],["xmegadrive.com",294],["girlsofdesire.org",295],["akuu-sflin.blogspot.com",296],["ladbible.com",297],["loadout.tf",298],["projectfreetv.*",299],["hdss.*",299],["moviesflix.*",299],["10starhd.*",299],["2embed.*",299],["xcloud.*",300],["~xcloud.eu",300],["~xcloud.host",300],["elmalajeno.com",301],["getsexgames.com",302],["adultgamestop.bigtopsites.com",303],["pornojenny.net",304],["pornolisa.com",304],["kickass.*",305],["reliabletv.me",306],["ytanime.tv",307],["sportskart.*",307],["dekki.com",308],["cambb.xxx",309],["discovermagazine.com",310],["elitepvpers.com",311],["bhaskar.com",312],["divyabhaskar.co.in",312],["playonlinux.com",313],["kaotic.com",314],["cargurus.com",315],["porntn.com",316],["hotcleaner.com",317],["movie.momo-net.com",318],["xxxtime.sextgem.com",319],["gay4porn.com",320],["myabandonware.com",321],["github.com",322],["mrunblock.*",323],["sbplay.*",324],["foreca.com",325],["maxstream.video",326],["gab.com",327],["kumparan.com",328],["tumblr.com",329],["techymedies.com",330],["unsplash.com",331],["nodejs.libhunt.com",332],["torrentdownloads.dirproxy.com",333],["torrentdownload.info",334],["animenhentai.com",335],["designtagebuch.de",336],["rp5.*",337],["mydramalist.com",338],["stooq.*",339],["1stream.*",340],["onionplay.*",341],["mcrypto.club",342],["shinchu.*",343],["networkhint.com",343],["rephrase.info",344],["washingtoninformer.com",345],["watch.cricstream.*",346],["scrolller.com",347],["dirp.me",348],["pinterest.*",349],["distrowatch.org",350],["autofaucet.dutchycorp.space",351],["mrgay.com",352],["buondua.com",353],["lbprate.com",354],["digminecraft.com",355],["masterduelmeta.com",356],["logikfx.com",357],["etsy.com",358],["playerx.stream",359],["fashionunited.*",360],["thedigitalfix.com",361],["dvdplay.*",362],["gsmware.com",363],["poki.*",364],["hdmovie5.*",365],["hdmovie2.*",365],["funnywifiname.net",365],["jattfilms.*",365],["jattfilms.cfd",365],["mrbobd.com",365],["vegamovvies.to",365],["hdmoviie2.*",365],["chimicamo.org",366],["eztv.*",367],["ricettafitness.com",368],["welt.de",369],["autotrader.co.uk",370],["mangaraw.org",371],["theswagsports.com",372],["pkpics.club",373],["slidesgo.com",374],["givee.club",375],["fucktube4k.com",376],["mail.com",377],["gmx.*",378],["tamrieltradecentre.com",379],["missav.*",380],["missav123.com",380],["missav888.com",380],["time.com",381],["beatsnoop.com",382],["fetchpik.com",382],["streamingcommunity.*",383],["sportbible.com",384],["anisearch.*",385],["veryfreeporn.com",386],["teachoo.com",387],["leaknud.com",388],["streaming-french.net",389],["adslink.pw",390],["jpopsingles.eu",391],["instagram.com",392],["flipkart.com",393],["rtl.de",394],["pahaplayers.click",395],["desktopnexus.com",396],["linkdoni.soft98.ir",397],["cdn.hostdl.com",398],["iranicard.ir",399],["faradars.org",400],["cxchief.com",401],["smostafa.ir",402],["genshin.gg",403],["google.com",404],["tirexo.*",405],["model-viewer.com",406],["rocketnews24.com",407],["soranews24.com",407],["youpouch.com",407],["afly.pro",408],["bloggingguidance.com",409],["onroid.com",409],["blog.onroid.com",410],["snaptik.app",411],["www.chip.de",412],["swisscows.com",413],["javopen.co",414],["derivative-calculator.net",415],["integral-calculator.com",415],["infokik.com",416],["freepik.com",417],["writedroid.*",418],["thetimes.co.uk",419],["techpp.com",420],["topsporter.net",421],["sportshub.to",421],["seznamzpravy.cz",422],["guru3d.com",423],["roblox-scripts.co",424],["socialcounts.org",425],["tlgrm.eu",426],["telegramchannels.me",427],["nn.de",428],["www.walmart.com",429],["thefileslocker.net",430],["n.fcd.su",431],["realpornclips.com",432],["rookieroad.com",433],["naijafav.top",434],["novinky.cz",435],["webnovelpub.com",436],["novelpub.com",437],["lightnovelspot.com",439],["myanimelist.net",440],["gloryshole.com",441],["tokenmix.pro",442],["carbonite.co.za",442],["bitcosite.com",443],["elamigos-games.com",444],["elamigos-games.net",444],["elamigosgames.org",444],["imgbox.com",445],["wp.pl",446],["money.pl",453],["o2.pl",457],["parenting.pl",465],["pudelek.pl",469],["autokult.pl",472],["gadzetomania.pl",472],["fotoblogia.pl",472],["komorkomania.pl",472],["polygamia.pl",472],["abczdrowie.pl",476],["benchmark.pl",483],["kafeteria.pl",486],["pysznosci.pl",490],["dobreprogramy.pl",472],["genialne.pl",496],["autocentrum.pl",501],["jastrzabpost.pl",496],["deliciousmagazine.pl",504],["~money.pl",506],["~wp.pl",507],["open.fm",509],["vibez.pl",510],["sportowefakty.wp.pl",511],["fitness.wp.pl",511],["smaczneblogi.pl",512],["forum.kardiolo.pl",513],["~www.wp.pl",512],["horoskop.wp.pl",515],["www.wp.pl",515],["pilot.wp.pl",516],["domodi.pl",517],["turystyka.wp.pl",518],["hacoos.com",519],["besargaji.com",520],["mgnetu.com",521],["azaleasdolls.com",522],["zefoy.com",523],["bellesa.co",524],["pepperlive.info",525],["streamvid.net",526],["miniwebtool.com",526],["sexvideos.host",527],["parentcircle.com",528],["vidello.net",529],["weatherwx.com",530],["cellmapper.net",531],["projectlive.info",532],["daddylive.*",532],["vlr.gg",533],["metager.org",534],["comohoy.com",535],["cdromance.com",536],["androidauthority.com",537],["app.blubank.com",538],["truyentranhfull.net",539],["empire-anime.*",540],["empire-streaming.*",540],["empire-anime.com",540],["empire-streamz.fr",540],["empire-stream.*",540],["skiplink.me",541],["yurasu.xyz",542],["isekaipalace.com",542],["woowebtools.com",543],["iwatchfriendsonline.net",544],["nectareousoverelate.com",545],["creativebloq.com",546],["sofmag.com",547],["khoaiphim.com",548],["nicomanga.com",549],["www.google.com",550],["totalcsgo.com",551],["gumtree.com",552],["deviantart.com",553],["nasonga.co.ke",554],["pandasnovel.com",555],["asura.gg",556],["asurascans.com",556],["romsmania.games",557],["dll-files.com",558],["modrinth.com",559],["codelivly.com",560],["sotwe.com",561],["download.megaup.net",562],["trakt.tv",563],["client.falixnodes.net",564],["thestar.com",565],["dailymail.co.uk",566],["m.baomoi.com",567],["gtainside.com",568],["movies4u.*",569],["movies4u3.*",569],["gamerxyt.com",569],["biblestudytools.com",570],["christianheadlines.com",570],["ibelieve.com",570],["nizarstream.com",571],["insideevs.com",572],["community.pcgamingwiki.com",573],["dzapk.com",574],["client.pylexnodes.net",575],["accuweather.com",576],["skai.gr",577],["apkmirror.com",578],["vidsrc.*",579],["gdflix.*",580],["1337x.ninjaproxy1.com",582],["porndoe.com",583],["torrentdownload.*",584],["readcomiconline.*",585],["pixiv.net",586],["jacquieetmicheltv.net",587],["jacquieetmicheltv2.net",587],["bombuj.*",588],["xfreehd.com",589],["freethesaurus.com",590],["thefreedictionary.com",590],["civitai.com",591],["civitai.green",591],["govtech.com",592],["dragontea.ink",593],["thehackernews.com",594],["creepypasta.com",595],["beaumontenterprise.com",596],["bigrapidsnews.com",596],["ctinsider.com",596],["ctpost.com",596],["darientimes.com",596],["expressnews.com",596],["greenwichtime.com",596],["houstonchronicle.com",596],["lmtonline.com",596],["manisteenews.com",596],["michigansthumb.com",596],["middletownpress.com",596],["milfordmirror.com",596],["mrt.com",596],["myjournalcourier.com",596],["ncadvertiser.com",596],["newstimes.com",596],["nhregister.com",596],["ourmidland.com",596],["registercitizen.com",596],["sfchronicle.com",596],["sheltonherald.com",596],["stamfordadvocate.com",596],["theheraldreview.com",596],["thehour.com",596],["theintelligencer.com",596],["theridgefieldpress.com",596],["thetelegraph.com",596],["timesunion.com",596],["trumbulltimes.com",596],["wiltonbulletin.com",596],["yourconroenews.com",596],["statisticsanddata.org",597],["tmailor.com",598],["94.103.83.138",599],["multimovies.*",599],["aliezstream.pro",600],["mylivestream.pro",600],["mylocal.co.uk",601],["ettvi.com",602],["crictime.is",603],["freehit.eu",603],["mobilecric.com",603],["live-sport.duktek.pro",603],["cryptorank.io",604],["skidrowcodex.net",605],["thejakartapost.com",606],["cenoteka.rs",607],["twi-fans.com",608],["porno-baguette.com",609],["caravanmagazine.in",610],["game8.co",611],["audiobookbay.lu",612],["service.webgoto.net",613],["freemodsapp.in",614],["onlytech.com",614],["helicomicro.com",614],["9xlinks.*",615],["9xmovie.*",615],["desiflix.*",615],["girlmms.com",615],["ottxmaza.com",615],["sexmazahd.com",615],["webxmaza.com",615],["olympics.com",616],["euronews.com",617],["1jour1film.*",618],["plasticsnews.com",619],["boardgameoracle.com",620],["aov-news.com",621],["summonersky.com",621],["sbs.com.au",622],["msn.com",623],["vid2faf.*",624],["vidplay.*",624],["ign.com",625],["ignboards.com",627],["telepisodes.org",628],["m.shuhaige.net",629],["theorg.com",630],["1001tracklists.com",631],["mobalytics.gg",632],["javfilms.com",633],["91porna.com",634],["rediff.com",635],["old.reddit.com",636],["www.google.*",637],["bikesales.com.au",638],["disqus.com",639],["voz.vn",640],["proboards.com",641],["winclassic.net",641]]);
const hasEntities = true;

self.proceduralImports = self.proceduralImports || [];
self.proceduralImports.push({ argsList, argsSeqs, hostnamesMap, hasEntities });

/******************************************************************************/

})();

/******************************************************************************/
